diff --git a/doc/bashref.ps b/doc/bashref.ps
index 856d34b7..086f3527 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -11703,561 +11703,573 @@ Ft(list)h(except)g(the)g(command)g(follo)m(wing)h(the)1110
 Fs(-e)p Ft(')h(w)m(as)f(b)s(eing)g(ignored,)h(the)g(shell)g(do)s(es)f
 (not)1110 1395 y(exit.)42 b(A)30 b(trap)g(on)h Fs(ERR)p
 Ft(,)e(if)i(set,)g(is)f(executed)i(b)s(efore)e(the)g(shell)h(exits.)
-1110 1529 y(This)f(option)h(applies)f(to)h(the)g(shell)g(en)m(vironmen)
-m(t)g(and)f(eac)m(h)h(subshell)f(en-)1110 1638 y(vironmen)m(t)j
+1110 1532 y(This)f(option)h(applies)f(to)h(the)g(shell)g(en)m(vironmen)
+m(t)g(and)f(eac)m(h)h(subshell)f(en-)1110 1641 y(vironmen)m(t)j
 (separately)i(\(see)f(Section)g(3.7.3)h([Command)d(Execution)i(En-)1110
-1748 y(vironmen)m(t],)i(page)f(36\),)i(and)d(ma)m(y)h(cause)f
-(subshells)g(to)h(exit)g(b)s(efore)f(exe-)1110 1857 y(cuting)d(all)g
-(the)g(commands)f(in)g(the)g(subshell.)630 2016 y Fs(-f)384
-b Ft(Disable)31 b(\014lename)g(expansion)f(\(globbing\).)630
-2174 y Fs(-h)384 b Ft(Lo)s(cate)33 b(and)e(remem)m(b)s(er)h(\(hash\))g
-(commands)f(as)h(they)g(are)g(lo)s(ok)m(ed)h(up)e(for)1110
-2284 y(execution.)42 b(This)29 b(option)i(is)g(enabled)f(b)m(y)g
-(default.)630 2442 y Fs(-k)384 b Ft(All)34 b(argumen)m(ts)g(in)f(the)h
-(form)f(of)g(assignmen)m(t)h(statemen)m(ts)i(are)d(placed)h(in)1110
-2552 y(the)k(en)m(vironmen)m(t)g(for)g(a)g(command,)h(not)f(just)f
-(those)i(that)f(precede)g(the)1110 2661 y(command)30
-b(name.)630 2819 y Fs(-m)384 b Ft(Job)32 b(con)m(trol)h(is)f(enabled)g
+1751 y(vironmen)m(t],)i(page)f(36\),)i(and)d(ma)m(y)h(cause)f
+(subshells)g(to)h(exit)g(b)s(efore)f(exe-)1110 1861 y(cuting)d(all)g
+(the)g(commands)f(in)g(the)g(subshell.)1110 1998 y(If)c(a)g(shell)h
+(function)e(executes)j(in)e(a)g(con)m(text)i(where)e(`)p
+Fs(-e)p Ft(')g(is)g(b)s(eing)g(ignored,)1110 2107 y(ev)m(en)j(if)f(`)p
+Fs(-e)p Ft(')g(is)g(set,)h(none)f(of)g(the)g(commands)g(executed)h
+(within)e(the)i(func-)1110 2217 y(tion)38 b(b)s(o)s(dy)e(will)i(b)s(e)e
+(a\013ected)j(b)m(y)f(the)f(`)p Fs(-e)p Ft(')h(setting.)63
+b(If)37 b(a)h(shell)f(function)1110 2326 y(sets)i(`)p
+Fs(-e)p Ft(')f(while)h(executing)g(in)f(a)h(con)m(text)i(where)d(`)p
+Fs(-e)p Ft(')g(is)g(ignored,)j(that)1110 2436 y(setting)35
+b(will)f(not)g(ha)m(v)m(e)h(an)m(y)f(e\013ect)h(un)m(til)f(the)g
+(command)f(con)m(taining)j(the)1110 2545 y(function)30
+b(call)i(completes.)630 2710 y Fs(-f)384 b Ft(Disable)31
+b(\014lename)g(expansion)f(\(globbing\).)630 2874 y Fs(-h)384
+b Ft(Lo)s(cate)33 b(and)e(remem)m(b)s(er)h(\(hash\))g(commands)f(as)h
+(they)g(are)g(lo)s(ok)m(ed)h(up)e(for)1110 2984 y(execution.)42
+b(This)29 b(option)i(is)g(enabled)f(b)m(y)g(default.)630
+3148 y Fs(-k)384 b Ft(All)34 b(argumen)m(ts)g(in)f(the)h(form)f(of)g
+(assignmen)m(t)h(statemen)m(ts)i(are)d(placed)h(in)1110
+3258 y(the)k(en)m(vironmen)m(t)g(for)g(a)g(command,)h(not)f(just)f
+(those)i(that)f(precede)g(the)1110 3367 y(command)30
+b(name.)630 3532 y Fs(-m)384 b Ft(Job)32 b(con)m(trol)h(is)f(enabled)g
 (\(see)h(Chapter)f(7)g([Job)g(Con)m(trol],)i(page)e(97\).)47
-b(All)1110 2929 y(pro)s(cesses)27 b(run)f(in)i(a)g(separate)g(pro)s
+b(All)1110 3641 y(pro)s(cesses)27 b(run)f(in)i(a)g(separate)g(pro)s
 (cess)f(group.)40 b(When)27 b(a)h(bac)m(kground)f(job)1110
-3039 y(completes,)32 b(the)f(shell)f(prin)m(ts)g(a)h(line)f(con)m
-(taining)i(its)f(exit)g(status.)630 3197 y Fs(-n)384
+3751 y(completes,)32 b(the)f(shell)f(prin)m(ts)g(a)h(line)f(con)m
+(taining)i(its)f(exit)g(status.)630 3915 y Fs(-n)384
 b Ft(Read)21 b(commands)f(but)g(do)h(not)g(execute)h(them;)i(this)d(ma)
-m(y)g(b)s(e)f(used)g(to)h(c)m(hec)m(k)1110 3306 y(a)42
+m(y)g(b)s(e)f(used)g(to)h(c)m(hec)m(k)1110 4025 y(a)42
 b(script)g(for)g(syn)m(tax)g(errors.)75 b(This)41 b(option)h(is)g
-(ignored)g(b)m(y)g(in)m(teractiv)m(e)1110 3416 y(shells.)630
-3574 y Fs(-o)30 b Fi(option-name)1110 3684 y Ft(Set)h(the)f(option)h
+(ignored)g(b)m(y)g(in)m(teractiv)m(e)1110 4134 y(shells.)630
+4299 y Fs(-o)30 b Fi(option-name)1110 4408 y Ft(Set)h(the)f(option)h
 (corresp)s(onding)e(to)i Fq(option-name)5 b Ft(:)1110
-3842 y Fs(allexport)1590 3952 y Ft(Same)30 b(as)h Fs(-a)p
-Ft(.)1110 4110 y Fs(braceexpand)1590 4220 y Ft(Same)f(as)h
-Fs(-B)p Ft(.)1110 4378 y Fs(emacs)240 b Ft(Use)25 b(an)f
+4573 y Fs(allexport)1590 4682 y Ft(Same)30 b(as)h Fs(-a)p
+Ft(.)1110 4847 y Fs(braceexpand)1590 4956 y Ft(Same)f(as)h
+Fs(-B)p Ft(.)1110 5121 y Fs(emacs)240 b Ft(Use)25 b(an)f
 Fs(emacs)p Ft(-st)m(yle)h(line)f(editing)h(in)m(terface)h(\(see)g
-(Chapter)e(8)1590 4488 y([Command)33 b(Line)g(Editing],)h(page)h
-(101\).)51 b(This)32 b(also)i(a\013ects)1590 4597 y(the)d(editing)g(in)
-m(terface)h(used)d(for)h Fs(read)f(-e)p Ft(.)1110 4756
-y Fs(errexit)144 b Ft(Same)30 b(as)h Fs(-e)p Ft(.)1110
-4914 y Fs(errtrace)96 b Ft(Same)30 b(as)h Fs(-E)p Ft(.)1110
-5072 y Fs(functrace)1590 5182 y Ft(Same)f(as)h Fs(-T)p
-Ft(.)1110 5340 y Fs(hashall)144 b Ft(Same)30 b(as)h Fs(-h)p
-Ft(.)p eop end
+(Chapter)e(8)1590 5230 y([Command)33 b(Line)g(Editing],)h(page)h
+(101\).)51 b(This)32 b(also)i(a\013ects)1590 5340 y(the)d(editing)g(in)
+m(terface)h(used)d(for)h Fs(read)f(-e)p Ft(.)p eop end
 %%Page: 60 66
 TeXDict begin 60 65 bop 150 -116 a Ft(60)2572 b(Bash)31
-b(Reference)g(Man)m(ual)1110 299 y Fs(histexpand)1590
-408 y Ft(Same)f(as)h Fs(-H)p Ft(.)1110 570 y Fs(history)144
+b(Reference)g(Man)m(ual)1110 299 y Fs(errexit)144 b Ft(Same)30
+b(as)h Fs(-e)p Ft(.)1110 461 y Fs(errtrace)96 b Ft(Same)30
+b(as)h Fs(-E)p Ft(.)1110 622 y Fs(functrace)1590 732
+y Ft(Same)f(as)h Fs(-T)p Ft(.)1110 894 y Fs(hashall)144
+b Ft(Same)30 b(as)h Fs(-h)p Ft(.)1110 1056 y Fs(histexpand)1590
+1165 y Ft(Same)f(as)h Fs(-H)p Ft(.)1110 1327 y Fs(history)144
 b Ft(Enable)39 b(command)g(history)-8 b(,)42 b(as)d(describ)s(ed)f(in)h
-(Section)h(9.1)1590 680 y([Bash)d(History)g(F)-8 b(acilities],)41
-b(page)c(133.)60 b(This)36 b(option)h(is)f(on)1590 789
+(Section)h(9.1)1590 1437 y([Bash)d(History)g(F)-8 b(acilities],)41
+b(page)c(133.)60 b(This)36 b(option)h(is)f(on)1590 1546
 y(b)m(y)30 b(default)h(in)f(in)m(teractiv)m(e)j(shells.)1110
-951 y Fs(ignoreeof)1590 1060 y Ft(An)d(in)m(teractiv)m(e)j(shell)e
-(will)g(not)f(exit)h(up)s(on)e(reading)i(EOF.)1110 1222
+1708 y Fs(ignoreeof)1590 1817 y Ft(An)d(in)m(teractiv)m(e)j(shell)e
+(will)g(not)f(exit)h(up)s(on)e(reading)i(EOF.)1110 1979
 y Fs(keyword)144 b Ft(Same)30 b(as)h Fs(-k)p Ft(.)1110
-1383 y Fs(monitor)144 b Ft(Same)30 b(as)h Fs(-m)p Ft(.)1110
-1545 y Fs(noclobber)1590 1654 y Ft(Same)f(as)h Fs(-C)p
-Ft(.)1110 1816 y Fs(noexec)192 b Ft(Same)30 b(as)h Fs(-n)p
-Ft(.)1110 1977 y Fs(noglob)192 b Ft(Same)30 b(as)h Fs(-f)p
-Ft(.)1110 2139 y Fs(nolog)240 b Ft(Curren)m(tly)30 b(ignored.)1110
-2300 y Fs(notify)192 b Ft(Same)30 b(as)h Fs(-b)p Ft(.)1110
-2462 y Fs(nounset)144 b Ft(Same)30 b(as)h Fs(-u)p Ft(.)1110
-2623 y Fs(onecmd)192 b Ft(Same)30 b(as)h Fs(-t)p Ft(.)1110
-2785 y Fs(physical)96 b Ft(Same)30 b(as)h Fs(-P)p Ft(.)1110
-2946 y Fs(pipefail)96 b Ft(If)44 b(set,)k(the)d(return)e(v)-5
+2141 y Fs(monitor)144 b Ft(Same)30 b(as)h Fs(-m)p Ft(.)1110
+2303 y Fs(noclobber)1590 2412 y Ft(Same)f(as)h Fs(-C)p
+Ft(.)1110 2574 y Fs(noexec)192 b Ft(Same)30 b(as)h Fs(-n)p
+Ft(.)1110 2736 y Fs(noglob)192 b Ft(Same)30 b(as)h Fs(-f)p
+Ft(.)1110 2898 y Fs(nolog)240 b Ft(Curren)m(tly)30 b(ignored.)1110
+3059 y Fs(notify)192 b Ft(Same)30 b(as)h Fs(-b)p Ft(.)1110
+3221 y Fs(nounset)144 b Ft(Same)30 b(as)h Fs(-u)p Ft(.)1110
+3383 y Fs(onecmd)192 b Ft(Same)30 b(as)h Fs(-t)p Ft(.)1110
+3545 y Fs(physical)96 b Ft(Same)30 b(as)h Fs(-P)p Ft(.)1110
+3707 y Fs(pipefail)96 b Ft(If)44 b(set,)k(the)d(return)e(v)-5
 b(alue)45 b(of)f(a)h(pip)s(eline)e(is)i(the)f(v)-5 b(alue)45
-b(of)1590 3056 y(the)33 b(last)h(\(righ)m(tmost\))h(command)e(to)h
-(exit)g(with)f(a)g(non-zero)1590 3165 y(status,)28 b(or)f(zero)g(if)f
+b(of)1590 3816 y(the)33 b(last)h(\(righ)m(tmost\))h(command)e(to)h
+(exit)g(with)f(a)g(non-zero)1590 3926 y(status,)28 b(or)f(zero)g(if)f
 (all)i(commands)e(in)g(the)h(pip)s(eline)f(exit)i(suc-)1590
-3275 y(cessfully)-8 b(.)41 b(This)30 b(option)h(is)f(disabled)g(b)m(y)h
-(default.)1110 3437 y Fs(posix)240 b Ft(Change)30 b(the)g(b)s(eha)m
+4035 y(cessfully)-8 b(.)41 b(This)30 b(option)h(is)f(disabled)g(b)m(y)h
+(default.)1110 4197 y Fs(posix)240 b Ft(Change)30 b(the)g(b)s(eha)m
 (vior)h(of)f(Bash)g(where)g(the)g(default)h(op)s(era-)1590
-3546 y(tion)25 b(di\013ers)f(from)g(the)h Fl(posix)f
-Ft(standard)f(to)i(matc)m(h)h(the)f(stan-)1590 3656 y(dard)32
+4307 y(tion)25 b(di\013ers)f(from)g(the)h Fl(posix)f
+Ft(standard)f(to)i(matc)m(h)h(the)f(stan-)1590 4416 y(dard)32
 b(\(see)i(Section)g(6.11)h([Bash)e(POSIX)f(Mo)s(de],)j(page)e(92\).)
-1590 3765 y(This)k(is)g(in)m(tended)g(to)h(mak)m(e)g(Bash)g(b)s(eha)m
-(v)m(e)g(as)g(a)f(strict)h(su-)1590 3875 y(p)s(erset)30
-b(of)h(that)f(standard.)1110 4036 y Fs(privileged)1590
-4146 y Ft(Same)g(as)h Fs(-p)p Ft(.)1110 4308 y Fs(verbose)144
-b Ft(Same)30 b(as)h Fs(-v)p Ft(.)1110 4469 y Fs(vi)384
+1590 4526 y(This)k(is)g(in)m(tended)g(to)h(mak)m(e)g(Bash)g(b)s(eha)m
+(v)m(e)g(as)g(a)f(strict)h(su-)1590 4635 y(p)s(erset)30
+b(of)h(that)f(standard.)1110 4797 y Fs(privileged)1590
+4907 y Ft(Same)g(as)h Fs(-p)p Ft(.)1110 5069 y Fs(verbose)144
+b Ft(Same)30 b(as)h Fs(-v)p Ft(.)1110 5230 y Fs(vi)384
 b Ft(Use)36 b(a)g Fs(vi)p Ft(-st)m(yle)g(line)g(editing)g(in)m
-(terface.)58 b(This)35 b(also)h(a\013ects)1590 4579 y(the)31
+(terface.)58 b(This)35 b(also)h(a\013ects)1590 5340 y(the)31
 b(editing)g(in)m(terface)h(used)d(for)h Fs(read)f(-e)p
-Ft(.)1110 4740 y Fs(xtrace)192 b Ft(Same)30 b(as)h Fs(-x)p
-Ft(.)630 4902 y Fs(-p)384 b Ft(T)-8 b(urn)33 b(on)h(privileged)h(mo)s
-(de.)51 b(In)34 b(this)g(mo)s(de,)h(the)f Fs($BASH_ENV)e
-Ft(and)h Fs($ENV)1110 5011 y Ft(\014les)23 b(are)h(not)f(pro)s(cessed,)
-h(shell)g(functions)e(are)i(not)f(inherited)g(from)f(the)i(en-)1110
-5121 y(vironmen)m(t,)h(and)e(the)g Fs(SHELLOPTS)p Ft(,)f
-Fs(BASHOPTS)p Ft(,)h Fs(CDPATH)e Ft(and)i Fs(GLOBIGNORE)1110
-5230 y Ft(v)-5 b(ariables,)23 b(if)e(they)g(app)s(ear)f(in)g(the)h(en)m
-(vironmen)m(t,)i(are)e(ignored.)38 b(If)20 b(the)h(shell)1110
-5340 y(is)37 b(started)h(with)f(the)g(e\013ectiv)m(e)j(user)d
-(\(group\))g(id)g(not)g(equal)h(to)g(the)f(real)p eop
-end
+Ft(.)p eop end
 %%Page: 61 67
 TeXDict begin 61 66 bop 150 -116 a Ft(Chapter)30 b(4:)41
-b(Shell)30 b(Builtin)h(Commands)2069 b(61)1110 299 y(user)34
-b(\(group\))g(id,)i(and)e(the)g(`)p Fs(-p)p Ft(')g(option)h(is)g(not)f
-(supplied,)h(these)g(actions)1110 408 y(are)d(tak)m(en)i(and)d(the)h
-(e\013ectiv)m(e)j(user)c(id)h(is)g(set)h(to)f(the)h(real)f(user)g(id.)
-45 b(If)32 b(the)1110 518 y(`)p Fs(-p)p Ft(')e(option)i(is)e(supplied)g
+b(Shell)30 b(Builtin)h(Commands)2069 b(61)1110 299 y
+Fs(xtrace)192 b Ft(Same)30 b(as)h Fs(-x)p Ft(.)630 458
+y Fs(-p)384 b Ft(T)-8 b(urn)33 b(on)h(privileged)h(mo)s(de.)51
+b(In)34 b(this)g(mo)s(de,)h(the)f Fs($BASH_ENV)e Ft(and)h
+Fs($ENV)1110 568 y Ft(\014les)23 b(are)h(not)f(pro)s(cessed,)h(shell)g
+(functions)e(are)i(not)f(inherited)g(from)f(the)i(en-)1110
+677 y(vironmen)m(t,)h(and)e(the)g Fs(SHELLOPTS)p Ft(,)f
+Fs(BASHOPTS)p Ft(,)h Fs(CDPATH)e Ft(and)i Fs(GLOBIGNORE)1110
+787 y Ft(v)-5 b(ariables,)23 b(if)e(they)g(app)s(ear)f(in)g(the)h(en)m
+(vironmen)m(t,)i(are)e(ignored.)38 b(If)20 b(the)h(shell)1110
+897 y(is)37 b(started)h(with)f(the)g(e\013ectiv)m(e)j(user)d(\(group\))
+g(id)g(not)g(equal)h(to)g(the)f(real)1110 1006 y(user)d(\(group\))g
+(id,)i(and)e(the)g(`)p Fs(-p)p Ft(')g(option)h(is)g(not)f(supplied,)h
+(these)g(actions)1110 1116 y(are)d(tak)m(en)i(and)d(the)h(e\013ectiv)m
+(e)j(user)c(id)h(is)g(set)h(to)f(the)h(real)f(user)g(id.)45
+b(If)32 b(the)1110 1225 y(`)p Fs(-p)p Ft(')e(option)i(is)e(supplied)g
 (at)h(startup,)f(the)h(e\013ectiv)m(e)i(user)d(id)h(is)f(not)h(reset.)
-1110 628 y(T)-8 b(urning)35 b(this)i(option)g(o\013)g(causes)g(the)g
+1110 1335 y(T)-8 b(urning)35 b(this)i(option)g(o\013)g(causes)g(the)g
 (e\013ectiv)m(e)i(user)d(and)g(group)g(ids)g(to)1110
-737 y(b)s(e)30 b(set)h(to)g(the)f(real)h(user)f(and)g(group)g(ids.)630
-887 y Fs(-t)384 b Ft(Exit)31 b(after)g(reading)f(and)g(executing)h(one)
-g(command.)630 1036 y Fs(-u)384 b Ft(T)-8 b(reat)25 b(unset)e(v)-5
-b(ariables)25 b(and)e(parameters)h(other)h(than)e(the)h(sp)s(ecial)h
-(param-)1110 1146 y(eters)35 b(`)p Fs(@)p Ft(')f(or)g(`)p
-Fs(*)p Ft(')h(as)f(an)g(error)g(when)f(p)s(erforming)g(parameter)i
-(expansion.)1110 1255 y(An)28 b(error)h(message)g(will)g(b)s(e)f
-(written)h(to)h(the)e(standard)g(error,)h(and)f(a)h(non-)1110
-1365 y(in)m(teractiv)m(e)k(shell)e(will)g(exit.)630 1514
+1445 y(b)s(e)30 b(set)h(to)g(the)f(real)h(user)f(and)g(group)g(ids.)630
+1604 y Fs(-t)384 b Ft(Exit)31 b(after)g(reading)f(and)g(executing)h
+(one)g(command.)630 1763 y Fs(-u)384 b Ft(T)-8 b(reat)25
+b(unset)e(v)-5 b(ariables)25 b(and)e(parameters)h(other)h(than)e(the)h
+(sp)s(ecial)h(param-)1110 1873 y(eters)35 b(`)p Fs(@)p
+Ft(')f(or)g(`)p Fs(*)p Ft(')h(as)f(an)g(error)g(when)f(p)s(erforming)g
+(parameter)i(expansion.)1110 1983 y(An)28 b(error)h(message)g(will)g(b)
+s(e)f(written)h(to)h(the)e(standard)g(error,)h(and)f(a)h(non-)1110
+2092 y(in)m(teractiv)m(e)k(shell)e(will)g(exit.)630 2252
 y Fs(-v)384 b Ft(Prin)m(t)30 b(shell)h(input)e(lines)i(as)g(they)f(are)
-h(read.)630 1664 y Fs(-x)384 b Ft(Prin)m(t)21 b(a)h(trace)h(of)f
+h(read.)630 2411 y Fs(-x)384 b Ft(Prin)m(t)21 b(a)h(trace)h(of)f
 (simple)f(commands,)i Fs(for)e Ft(commands,)i Fs(case)d
-Ft(commands,)1110 1773 y Fs(select)29 b Ft(commands,)j(and)e
+Ft(commands,)1110 2521 y Fs(select)29 b Ft(commands,)j(and)e
 (arithmetic)j Fs(for)d Ft(commands)h(and)f(their)i(argu-)1110
-1883 y(men)m(ts)h(or)f(asso)s(ciated)i(w)m(ord)e(lists)h(after)g(they)f
-(are)h(expanded)f(and)f(b)s(efore)1110 1993 y(they)i(are)g(executed.)49
+2630 y(men)m(ts)h(or)f(asso)s(ciated)i(w)m(ord)e(lists)h(after)g(they)f
+(are)h(expanded)f(and)f(b)s(efore)1110 2740 y(they)i(are)g(executed.)49
 b(The)32 b(v)-5 b(alue)33 b(of)g(the)g Fs(PS4)f Ft(v)-5
-b(ariable)34 b(is)f(expanded)f(and)1110 2102 y(the)24
+b(ariable)34 b(is)f(expanded)f(and)1110 2849 y(the)24
 b(resultan)m(t)h(v)-5 b(alue)24 b(is)g(prin)m(ted)g(b)s(efore)f(the)h
-(command)g(and)f(its)i(expanded)1110 2212 y(argumen)m(ts.)630
-2361 y Fs(-B)384 b Ft(The)41 b(shell)g(will)g(p)s(erform)f(brace)h
-(expansion)g(\(see)h(Section)g(3.5.1)g([Brace)1110 2471
+(command)g(and)f(its)i(expanded)1110 2959 y(argumen)m(ts.)630
+3118 y Fs(-B)384 b Ft(The)41 b(shell)g(will)g(p)s(erform)f(brace)h
+(expansion)g(\(see)h(Section)g(3.5.1)g([Brace)1110 3228
 y(Expansion],)30 b(page)h(21\).)42 b(This)30 b(option)h(is)f(on)g(b)m
-(y)h(default.)630 2620 y Fs(-C)384 b Ft(Prev)m(en)m(t)25
+(y)h(default.)630 3387 y Fs(-C)384 b Ft(Prev)m(en)m(t)25
 b(output)e(redirection)h(using)f(`)p Fs(>)p Ft(',)i(`)p
 Fs(>&)p Ft(',)g(and)e(`)p Fs(<>)p Ft(')g(from)h(o)m(v)m(erwriting)1110
-2730 y(existing)31 b(\014les.)630 2879 y Fs(-E)384 b
+3497 y(existing)31 b(\014les.)630 3656 y Fs(-E)384 b
 Ft(If)39 b(set,)j(an)m(y)e(trap)f(on)g Fs(ERR)g Ft(is)g(inherited)g(b)m
-(y)g(shell)h(functions,)h(command)1110 2989 y(substitutions,)35
+(y)g(shell)h(functions,)h(command)1110 3766 y(substitutions,)35
 b(and)e(commands)g(executed)i(in)f(a)g(subshell)f(en)m(vironmen)m(t.)
-1110 3098 y(The)d Fs(ERR)f Ft(trap)i(is)f(normally)h(not)f(inherited)g
-(in)g(suc)m(h)g(cases.)630 3248 y Fs(-H)384 b Ft(Enable)38
+1110 3875 y(The)d Fs(ERR)f Ft(trap)i(is)f(normally)h(not)f(inherited)g
+(in)g(suc)m(h)g(cases.)630 4035 y Fs(-H)384 b Ft(Enable)38
 b(`)p Fs(!)p Ft(')h(st)m(yle)h(history)e(substitution)g(\(see)h
-(Section)h(9.3)f([History)g(In-)1110 3357 y(teraction],)g(page)d
+(Section)h(9.3)f([History)g(In-)1110 4144 y(teraction],)g(page)d
 (135\).)57 b(This)34 b(option)i(is)f(on)g(b)m(y)h(default)f(for)g(in)m
-(teractiv)m(e)1110 3467 y(shells.)630 3616 y Fs(-P)384
+(teractiv)m(e)1110 4254 y(shells.)630 4413 y Fs(-P)384
 b Ft(If)39 b(set,)j(do)d(not)g(resolv)m(e)i(sym)m(b)s(olic)e(links)g
-(when)f(p)s(erforming)g(commands)1110 3726 y(suc)m(h)29
+(when)f(p)s(erforming)g(commands)1110 4523 y(suc)m(h)29
 b(as)h Fs(cd)f Ft(whic)m(h)g(c)m(hange)h(the)g(curren)m(t)f(directory)
--8 b(.)42 b(The)28 b(ph)m(ysical)j(direc-)1110 3836 y(tory)j(is)g(used)
+-8 b(.)42 b(The)28 b(ph)m(ysical)j(direc-)1110 4633 y(tory)j(is)g(used)
 f(instead.)52 b(By)34 b(default,)h(Bash)f(follo)m(ws)h(the)f(logical)i
-(c)m(hain)f(of)1110 3945 y(directories)j(when)d(p)s(erforming)h
+(c)m(hain)f(of)1110 4742 y(directories)j(when)d(p)s(erforming)h
 (commands)g(whic)m(h)g(c)m(hange)i(the)f(curren)m(t)1110
-4055 y(directory)-8 b(.)1110 4184 y(F)g(or)31 b(example,)g(if)f(`)p
+4852 y(directory)-8 b(.)1110 4986 y(F)g(or)31 b(example,)g(if)f(`)p
 Fs(/usr/sys)p Ft(')e(is)i(a)g(sym)m(b)s(olic)h(link)f(to)g(`)p
-Fs(/usr/local/sys)p Ft(')1110 4294 y(then:)1350 4423
-y Fs($)47 b(cd)h(/usr/sys;)d(echo)i($PWD)1350 4533 y(/usr/sys)1350
-4643 y($)g(cd)h(..;)f(pwd)1350 4752 y(/usr)1110 4882
-y Ft(If)30 b Fs(set)f(-P)h Ft(is)h(on,)f(then:)1350 5011
-y Fs($)47 b(cd)h(/usr/sys;)d(echo)i($PWD)1350 5121 y(/usr/local/sys)
-1350 5230 y($)g(cd)h(..;)f(pwd)1350 5340 y(/usr/local)p
+Fs(/usr/local/sys)p Ft(')1110 5096 y(then:)1350 5230
+y Fs($)47 b(cd)h(/usr/sys;)d(echo)i($PWD)1350 5340 y(/usr/sys)p
 eop end
 %%Page: 62 68
 TeXDict begin 62 67 bop 150 -116 a Ft(62)2572 b(Bash)31
-b(Reference)g(Man)m(ual)630 299 y Fs(-T)384 b Ft(If)34
-b(set,)j(an)m(y)e(trap)g(on)g Fs(DEBUG)e Ft(and)i Fs(RETURN)e
-Ft(are)i(inherited)g(b)m(y)f(shell)i(func-)1110 408 y(tions,)k(command)
-d(substitutions,)h(and)f(commands)g(executed)h(in)f(a)h(sub-)1110
-518 y(shell)33 b(en)m(vironmen)m(t.)49 b(The)32 b Fs(DEBUG)g
-Ft(and)g Fs(RETURN)f Ft(traps)h(are)i(normally)f(not)1110
-628 y(inherited)d(in)g(suc)m(h)g(cases.)630 780 y Fs(--)384
-b Ft(If)31 b(no)h(argumen)m(ts)f(follo)m(w)i(this)f(option,)g(then)f
-(the)h(p)s(ositional)h(parameters)1110 890 y(are)h(unset.)49
-b(Otherwise,)34 b(the)g(p)s(ositional)g(parameters)g(are)g(set)g(to)g
-(the)g Fq(ar-)1110 999 y(gumen)m(ts)t Ft(,)d(ev)m(en)g(if)f(some)h(of)f
-(them)h(b)s(egin)f(with)g(a)g(`)p Fs(-)p Ft('.)630 1152
-y Fs(-)432 b Ft(Signal)45 b(the)g(end)f(of)h(options,)k(cause)c(all)h
-(remaining)e Fq(argumen)m(ts)49 b Ft(to)d(b)s(e)1110
-1262 y(assigned)38 b(to)h(the)f(p)s(ositional)h(parameters.)65
-b(The)37 b(`)p Fs(-x)p Ft(')h(and)g(`)p Fs(-v)p Ft(')g(options)1110
-1371 y(are)25 b(turned)e(o\013.)40 b(If)24 b(there)h(are)g(no)f
+b(Reference)g(Man)m(ual)1350 299 y Fs($)47 b(cd)h(..;)f(pwd)1350
+408 y(/usr)1110 540 y Ft(If)30 b Fs(set)f(-P)h Ft(is)h(on,)f(then:)1350
+672 y Fs($)47 b(cd)h(/usr/sys;)d(echo)i($PWD)1350 782
+y(/usr/local/sys)1350 891 y($)g(cd)h(..;)f(pwd)1350 1001
+y(/usr/local)630 1155 y(-T)384 b Ft(If)34 b(set,)j(an)m(y)e(trap)g(on)g
+Fs(DEBUG)e Ft(and)i Fs(RETURN)e Ft(are)i(inherited)g(b)m(y)f(shell)i
+(func-)1110 1265 y(tions,)k(command)d(substitutions,)h(and)f(commands)g
+(executed)h(in)f(a)h(sub-)1110 1374 y(shell)33 b(en)m(vironmen)m(t.)49
+b(The)32 b Fs(DEBUG)g Ft(and)g Fs(RETURN)f Ft(traps)h(are)i(normally)f
+(not)1110 1484 y(inherited)d(in)g(suc)m(h)g(cases.)630
+1638 y Fs(--)384 b Ft(If)31 b(no)h(argumen)m(ts)f(follo)m(w)i(this)f
+(option,)g(then)f(the)h(p)s(ositional)h(parameters)1110
+1748 y(are)h(unset.)49 b(Otherwise,)34 b(the)g(p)s(ositional)g
+(parameters)g(are)g(set)g(to)g(the)g Fq(ar-)1110 1857
+y(gumen)m(ts)t Ft(,)d(ev)m(en)g(if)f(some)h(of)f(them)h(b)s(egin)f
+(with)g(a)g(`)p Fs(-)p Ft('.)630 2012 y Fs(-)432 b Ft(Signal)45
+b(the)g(end)f(of)h(options,)k(cause)c(all)h(remaining)e
+Fq(argumen)m(ts)49 b Ft(to)d(b)s(e)1110 2121 y(assigned)38
+b(to)h(the)f(p)s(ositional)h(parameters.)65 b(The)37
+b(`)p Fs(-x)p Ft(')h(and)g(`)p Fs(-v)p Ft(')g(options)1110
+2231 y(are)25 b(turned)e(o\013.)40 b(If)24 b(there)h(are)g(no)f
 (argumen)m(ts,)i(the)f(p)s(ositional)h(parameters)1110
-1481 y(remain)k(unc)m(hanged.)630 1633 y(Using)d(`)p
+2340 y(remain)k(unc)m(hanged.)630 2495 y(Using)d(`)p
 Fs(+)p Ft(')h(rather)f(than)g(`)p Fs(-)p Ft(')g(causes)h(these)f
 (options)h(to)g(b)s(e)e(turned)g(o\013.)40 b(The)27 b(options)h(can)630
-1743 y(also)36 b(b)s(e)f(used)f(up)s(on)g(in)m(v)m(o)s(cation)j(of)e
+2604 y(also)36 b(b)s(e)f(used)f(up)s(on)g(in)m(v)m(o)s(cation)j(of)e
 (the)g(shell.)56 b(The)34 b(curren)m(t)h(set)h(of)f(options)h(ma)m(y)g
-(b)s(e)630 1852 y(found)29 b(in)h Fs($-)p Ft(.)630 1984
+(b)s(e)630 2714 y(found)29 b(in)h Fs($-)p Ft(.)630 2846
 y(The)43 b(remaining)h(N)f Fq(argumen)m(ts)48 b Ft(are)c(p)s(ositional)
-g(parameters)g(and)f(are)h(assigned,)j(in)630 2093 y(order,)30
+g(parameters)g(and)f(are)h(assigned,)j(in)630 2955 y(order,)30
 b(to)h Fs($1)p Ft(,)f Fs($2)p Ft(,)36 b(.)22 b(.)g(.)42
 b Fs($N)p Ft(.)e(The)30 b(sp)s(ecial)h(parameter)g Fs(#)f
-Ft(is)g(set)h(to)g(N.)630 2224 y(The)f(return)f(status)i(is)f(alw)m(a)m
+Ft(is)g(set)h(to)g(N.)630 3087 y(The)f(return)f(status)i(is)f(alw)m(a)m
 (ys)i(zero)f(unless)f(an)g(in)m(v)-5 b(alid)31 b(option)g(is)f
-(supplied.)150 2417 y Fj(4.3.2)63 b(The)41 b(Shopt)h(Builtin)150
-2564 y Ft(This)30 b(builtin)g(allo)m(ws)h(y)m(ou)g(to)g(c)m(hange)h
+(supplied.)150 3281 y Fj(4.3.2)63 b(The)41 b(Shopt)h(Builtin)150
+3428 y Ft(This)30 b(builtin)g(allo)m(ws)h(y)m(ou)g(to)g(c)m(hange)h
 (additional)f(shell)f(optional)i(b)s(eha)m(vior.)150
-2716 y Fs(shopt)870 2847 y(shopt)46 b([-pqsu])g([-o])h([)p
-Fi(optname)56 b Fs(...)o(])630 2978 y Ft(T)-8 b(oggle)47
+3583 y Fs(shopt)870 3714 y(shopt)46 b([-pqsu])g([-o])h([)p
+Fi(optname)56 b Fs(...)o(])630 3846 y Ft(T)-8 b(oggle)47
 b(the)d(v)-5 b(alues)45 b(of)g(v)-5 b(ariables)45 b(con)m(trolling)i
 (optional)f(shell)e(b)s(eha)m(vior.)84 b(With)45 b(no)630
-3088 y(options,)32 b(or)f(with)g(the)g(`)p Fs(-p)p Ft(')g(option,)h(a)g
+3956 y(options,)32 b(or)f(with)g(the)g(`)p Fs(-p)p Ft(')g(option,)h(a)g
 (list)f(of)h(all)g(settable)g(options)g(is)f(displa)m(y)m(ed,)h(with)
-630 3198 y(an)i(indication)i(of)f(whether)f(or)g(not)h(eac)m(h)h(is)e
+630 4066 y(an)i(indication)i(of)f(whether)f(or)g(not)h(eac)m(h)h(is)e
 (set.)54 b(The)34 b(`)p Fs(-p)p Ft(')h(option)g(causes)g(output)f(to)
-630 3307 y(b)s(e)i(displa)m(y)m(ed)h(in)e(a)i(form)f(that)h(ma)m(y)g(b)
+630 4175 y(b)s(e)i(displa)m(y)m(ed)h(in)e(a)i(form)f(that)h(ma)m(y)g(b)
 s(e)e(reused)h(as)g(input.)58 b(Other)36 b(options)g(ha)m(v)m(e)i(the)
-630 3417 y(follo)m(wing)32 b(meanings:)630 3569 y Fs(-s)384
+630 4285 y(follo)m(wing)32 b(meanings:)630 4439 y Fs(-s)384
 b Ft(Enable)30 b(\(set\))i(eac)m(h)f Fq(optname)5 b Ft(.)630
-3722 y Fs(-u)384 b Ft(Disable)31 b(\(unset\))g(eac)m(h)h
-Fq(optname)5 b Ft(.)630 3874 y Fs(-q)384 b Ft(Suppresses)28
+4593 y Fs(-u)384 b Ft(Disable)31 b(\(unset\))g(eac)m(h)h
+Fq(optname)5 b Ft(.)630 4747 y Fs(-q)384 b Ft(Suppresses)28
 b(normal)h(output;)h(the)g(return)e(status)i(indicates)h(whether)e(the)
-1110 3984 y Fq(optname)37 b Ft(is)31 b(set)h(or)f(unset.)43
+1110 4857 y Fq(optname)37 b Ft(is)31 b(set)h(or)f(unset.)43
 b(If)31 b(m)m(ultiple)h Fq(optname)37 b Ft(argumen)m(ts)31
-b(are)h(giv)m(en)1110 4094 y(with)43 b(`)p Fs(-q)p Ft(',)j(the)d
+b(are)h(giv)m(en)1110 4967 y(with)43 b(`)p Fs(-q)p Ft(',)j(the)d
 (return)f(status)h(is)g(zero)h(if)f(all)g Fq(optnames)k
-Ft(are)d(enabled;)1110 4203 y(non-zero)31 b(otherwise.)630
-4356 y Fs(-o)384 b Ft(Restricts)28 b(the)g(v)-5 b(alues)28
+Ft(are)d(enabled;)1110 5076 y(non-zero)31 b(otherwise.)630
+5230 y Fs(-o)384 b Ft(Restricts)28 b(the)g(v)-5 b(alues)28
 b(of)f Fq(optname)33 b Ft(to)c(b)s(e)d(those)i(de\014ned)f(for)g(the)g
-(`)p Fs(-o)p Ft(')h(op-)1110 4465 y(tion)23 b(to)h(the)f
+(`)p Fs(-o)p Ft(')h(op-)1110 5340 y(tion)23 b(to)h(the)f
 Fs(set)f Ft(builtin)h(\(see)g(Section)h(4.3.1)h([The)d(Set)i(Builtin],)
-h(page)e(58\).)630 4618 y(If)40 b(either)g(`)p Fs(-s)p
-Ft(')g(or)g(`)p Fs(-u)p Ft(')g(is)g(used)g(with)g(no)g
-Fq(optname)45 b Ft(argumen)m(ts,)e Fs(shopt)c Ft(sho)m(ws)h(only)630
-4728 y(those)31 b(options)g(whic)m(h)f(are)g(set)h(or)g(unset,)f(resp)s
-(ectiv)m(ely)-8 b(.)630 4859 y(Unless)30 b(otherwise)h(noted,)g(the)g
-Fs(shopt)d Ft(options)j(are)g(disabled)f(\(o\013)7 b(\))32
-b(b)m(y)e(default.)630 4990 y(The)d(return)f(status)i(when)f(listing)h
-(options)g(is)f(zero)i(if)e(all)i Fq(optnames)i Ft(are)d(enabled,)g
-(non-)630 5099 y(zero)40 b(otherwise.)66 b(When)39 b(setting)h(or)f
-(unsetting)g(options,)i(the)e(return)f(status)h(is)g(zero)630
-5209 y(unless)30 b(an)g Fq(optname)36 b Ft(is)30 b(not)h(a)g(v)-5
-b(alid)30 b(shell)h(option.)630 5340 y(The)f(list)h(of)f
-Fs(shopt)f Ft(options)i(is:)p eop end
+h(page)e(58\).)p eop end
 %%Page: 63 69
 TeXDict begin 63 68 bop 150 -116 a Ft(Chapter)30 b(4:)41
-b(Shell)30 b(Builtin)h(Commands)2069 b(63)630 299 y Fs(autocd)192
-b Ft(If)27 b(set,)h(a)g(command)f(name)g(that)h(is)f(the)g(name)g(of)h
-(a)f(directory)h(is)f(executed)1110 408 y(as)j(if)f(it)h(w)m(ere)f(the)
-h(argumen)m(t)g(to)g(the)f Fs(cd)g Ft(command.)40 b(This)29
-b(option)g(is)h(only)1110 518 y(used)g(b)m(y)g(in)m(teractiv)m(e)j
-(shells.)630 676 y Fs(cdable_vars)1110 786 y Ft(If)h(this)h(is)g(set,)i
-(an)e(argumen)m(t)g(to)h(the)f Fs(cd)f Ft(builtin)h(command)f(that)i
-(is)f(not)1110 896 y(a)c(directory)g(is)g(assumed)f(to)h(b)s(e)f(the)h
+b(Shell)30 b(Builtin)h(Commands)2069 b(63)630 299 y(If)40
+b(either)g(`)p Fs(-s)p Ft(')g(or)g(`)p Fs(-u)p Ft(')g(is)g(used)g(with)
+g(no)g Fq(optname)45 b Ft(argumen)m(ts,)e Fs(shopt)c
+Ft(sho)m(ws)h(only)630 408 y(those)31 b(options)g(whic)m(h)f(are)g(set)
+h(or)g(unset,)f(resp)s(ectiv)m(ely)-8 b(.)630 553 y(Unless)30
+b(otherwise)h(noted,)g(the)g Fs(shopt)d Ft(options)j(are)g(disabled)f
+(\(o\013)7 b(\))32 b(b)m(y)e(default.)630 697 y(The)d(return)f(status)i
+(when)f(listing)h(options)g(is)f(zero)i(if)e(all)i Fq(optnames)i
+Ft(are)d(enabled,)g(non-)630 806 y(zero)40 b(otherwise.)66
+b(When)39 b(setting)h(or)f(unsetting)g(options,)i(the)e(return)f
+(status)h(is)g(zero)630 916 y(unless)30 b(an)g Fq(optname)36
+b Ft(is)30 b(not)h(a)g(v)-5 b(alid)30 b(shell)h(option.)630
+1060 y(The)f(list)h(of)f Fs(shopt)f Ft(options)i(is:)630
+1239 y Fs(autocd)192 b Ft(If)27 b(set,)h(a)g(command)f(name)g(that)h
+(is)f(the)g(name)g(of)h(a)f(directory)h(is)f(executed)1110
+1349 y(as)j(if)f(it)h(w)m(ere)f(the)h(argumen)m(t)g(to)g(the)f
+Fs(cd)g Ft(command.)40 b(This)29 b(option)g(is)h(only)1110
+1458 y(used)g(b)m(y)g(in)m(teractiv)m(e)j(shells.)630
+1637 y Fs(cdable_vars)1110 1747 y Ft(If)h(this)h(is)g(set,)i(an)e
+(argumen)m(t)g(to)h(the)f Fs(cd)f Ft(builtin)h(command)f(that)i(is)f
+(not)1110 1856 y(a)c(directory)g(is)g(assumed)f(to)h(b)s(e)f(the)h
 (name)f(of)h(a)g(v)-5 b(ariable)31 b(whose)g(v)-5 b(alue)31
-b(is)1110 1005 y(the)g(directory)f(to)i(c)m(hange)f(to.)630
-1163 y Fs(cdspell)144 b Ft(If)27 b(set,)h(minor)f(errors)f(in)h(the)g
+b(is)1110 1966 y(the)g(directory)f(to)i(c)m(hange)f(to.)630
+2145 y Fs(cdspell)144 b Ft(If)27 b(set,)h(minor)f(errors)f(in)h(the)g
 (sp)s(elling)h(of)f(a)g(directory)h(comp)s(onen)m(t)f(in)g(a)h
-Fs(cd)1110 1273 y Ft(command)i(will)h(b)s(e)f(corrected.)43
+Fs(cd)1110 2254 y Ft(command)i(will)h(b)s(e)f(corrected.)43
 b(The)30 b(errors)g(c)m(hec)m(k)m(ed)j(for)d(are)h(transp)s(osed)1110
-1383 y(c)m(haracters,)46 b(a)c(missing)f(c)m(haracter,)47
+2364 y(c)m(haracters,)46 b(a)c(missing)f(c)m(haracter,)47
 b(and)40 b(a)i(c)m(haracter)h(to)s(o)g(man)m(y)-8 b(.)74
-b(If)42 b(a)1110 1492 y(correction)25 b(is)e(found,)g(the)h(corrected)g
-(path)f(is)g(prin)m(ted,)h(and)f(the)g(command)1110 1602
+b(If)42 b(a)1110 2473 y(correction)25 b(is)e(found,)g(the)h(corrected)g
+(path)f(is)g(prin)m(ted,)h(and)f(the)g(command)1110 2583
 y(pro)s(ceeds.)40 b(This)30 b(option)h(is)f(only)h(used)e(b)m(y)h(in)m
-(teractiv)m(e)k(shells.)630 1760 y Fs(checkhash)1110
-1870 y Ft(If)29 b(this)h(is)g(set,)g(Bash)g(c)m(hec)m(ks)h(that)g(a)f
-(command)f(found)g(in)g(the)h(hash)f(table)1110 1979
+(teractiv)m(e)k(shells.)630 2762 y Fs(checkhash)1110
+2871 y Ft(If)29 b(this)h(is)g(set,)g(Bash)g(c)m(hec)m(ks)h(that)g(a)f
+(command)f(found)g(in)g(the)h(hash)f(table)1110 2981
 y(exists)k(b)s(efore)f(trying)h(to)h(execute)g(it.)48
-b(If)32 b(a)h(hashed)e(command)i(no)f(longer)1110 2089
+b(If)32 b(a)h(hashed)e(command)i(no)f(longer)1110 3091
 y(exists,)f(a)g(normal)f(path)g(searc)m(h)h(is)g(p)s(erformed.)630
-2247 y Fs(checkjobs)1110 2357 y Ft(If)d(set,)i(Bash)e(lists)h(the)g
+3269 y Fs(checkjobs)1110 3379 y Ft(If)d(set,)i(Bash)e(lists)h(the)g
 (status)g(of)f(an)m(y)h(stopp)s(ed)f(and)g(running)e(jobs)i(b)s(efore)
-1110 2466 y(exiting)42 b(an)f(in)m(teractiv)m(e)j(shell.)72
+1110 3488 y(exiting)42 b(an)f(in)m(teractiv)m(e)j(shell.)72
 b(If)41 b(an)m(y)g(jobs)f(are)i(running,)g(this)f(causes)1110
-2576 y(the)30 b(exit)g(to)g(b)s(e)f(deferred)g(un)m(til)h(a)f(second)h
-(exit)g(is)g(attempted)h(without)e(an)1110 2685 y(in)m(terv)m(ening)j
+3598 y(the)30 b(exit)g(to)g(b)s(e)f(deferred)g(un)m(til)h(a)f(second)h
+(exit)g(is)g(attempted)h(without)e(an)1110 3708 y(in)m(terv)m(ening)j
 (command)e(\(see)h(Chapter)f(7)h([Job)f(Con)m(trol],)i(page)f(97\).)42
-b(The)1110 2795 y(shell)31 b(alw)m(a)m(ys)g(p)s(ostp)s(ones)f(exiting)h
-(if)g(an)m(y)f(jobs)g(are)h(stopp)s(ed.)630 2953 y Fs(checkwinsize)1110
-3063 y Ft(If)41 b(set,)k(Bash)c(c)m(hec)m(ks)i(the)f(windo)m(w)e(size)j
-(after)f(eac)m(h)g(command)f(and,)j(if)1110 3173 y(necessary)-8
+b(The)1110 3817 y(shell)31 b(alw)m(a)m(ys)g(p)s(ostp)s(ones)f(exiting)h
+(if)g(an)m(y)f(jobs)g(are)h(stopp)s(ed.)630 3996 y Fs(checkwinsize)1110
+4106 y Ft(If)41 b(set,)k(Bash)c(c)m(hec)m(ks)i(the)f(windo)m(w)e(size)j
+(after)f(eac)m(h)g(command)f(and,)j(if)1110 4215 y(necessary)-8
 b(,)31 b(up)s(dates)f(the)g(v)-5 b(alues)31 b(of)g Fs(LINES)e
-Ft(and)g Fs(COLUMNS)p Ft(.)630 3331 y Fs(cmdhist)144
+Ft(and)g Fs(COLUMNS)p Ft(.)630 4394 y Fs(cmdhist)144
 b Ft(If)33 b(set,)j(Bash)e(attempts)h(to)g(sa)m(v)m(e)g(all)g(lines)f
-(of)g(a)h(m)m(ultiple-line)g(command)1110 3440 y(in)c(the)g(same)g
+(of)g(a)h(m)m(ultiple-line)g(command)1110 4504 y(in)c(the)g(same)g
 (history)g(en)m(try)-8 b(.)42 b(This)30 b(allo)m(ws)i(easy)g
-(re-editing)g(of)f(m)m(ulti-line)1110 3550 y(commands.)630
-3708 y Fs(compat31)96 b Ft(If)27 b(set,)i(Bash)e(c)m(hanges)i(its)f(b)s
+(re-editing)g(of)f(m)m(ulti-line)1110 4613 y(commands.)630
+4792 y Fs(compat31)96 b Ft(If)27 b(set,)i(Bash)e(c)m(hanges)i(its)f(b)s
 (eha)m(vior)f(to)i(that)f(of)f(v)m(ersion)h(3.1)h(with)e(resp)s(ect)
-1110 3818 y(to)39 b(quoted)f(argumen)m(ts)g(to)h(the)f(conditional)h
-(command's)f(`)p Fs(=~)p Ft(')g(op)s(erator)1110 3927
+1110 4902 y(to)39 b(quoted)f(argumen)m(ts)g(to)h(the)f(conditional)h
+(command's)f(`)p Fs(=~)p Ft(')g(op)s(erator)1110 5011
 y(and)i(with)f(resp)s(ect)i(to)g(lo)s(cale-sp)s(eci\014c)h(string)e
-(comparison)g(when)f(using)1110 4037 y(the)25 b(`)p Fs([[)p
+(comparison)g(when)f(using)1110 5121 y(the)25 b(`)p Fs([[)p
 Ft(')f(conditional)h(command's)g(`)p Fs(<)p Ft(')f(and)g(`)p
 Fs(>)p Ft(')g(op)s(erators.)39 b(Bash)25 b(v)m(ersions)1110
-4147 y(prior)31 b(to)h(bash-4.1)g(use)g(ASCI)s(I)e(collation)j(and)e
-(strcmp\(3\);)i(bash-4.1)g(and)1110 4256 y(later)e(use)f(the)h(curren)m
-(t)f(lo)s(cale's)i(collation)h(sequence)e(and)f(strcoll\(3\).)630
-4415 y Fs(compat32)96 b Ft(If)27 b(set,)i(Bash)e(c)m(hanges)i(its)f(b)s
-(eha)m(vior)f(to)i(that)f(of)f(v)m(ersion)h(3.2)h(with)e(resp)s(ect)
-1110 4524 y(to)h(lo)s(cale-sp)s(eci\014c)g(string)f(comparison)g(when)f
-(using)g(the)h(`)p Fs([[)p Ft(')g(conditional)1110 4634
-y(command's)j(`)p Fs(<)p Ft(')h(and)f(`)p Fs(>)p Ft(')g(op)s(erators)h
-(\(see)g(previous)f(item\).)630 4792 y Fs(compat40)96
-b Ft(If)27 b(set,)i(Bash)e(c)m(hanges)i(its)f(b)s(eha)m(vior)f(to)i
-(that)f(of)f(v)m(ersion)h(4.0)h(with)e(resp)s(ect)1110
-4902 y(to)h(lo)s(cale-sp)s(eci\014c)g(string)f(comparison)g(when)f
-(using)g(the)h(`)p Fs([[)p Ft(')g(conditional)1110 5011
-y(command's)h(`)p Fs(<)p Ft(')h(and)f(`)p Fs(>)p Ft(')h(op)s(erators)f
-(\(see)i(description)e(of)h Fs(compat31)p Ft(\))e(and)1110
-5121 y(the)38 b(e\013ect)i(of)e(in)m(terrupting)f(a)i(command)e(list.)
-64 b(Bash)38 b(v)m(ersions)h(4.0)g(and)1110 5230 y(later)24
-b(in)m(terrupt)f(the)g(list)h(as)g(if)f(the)h(shell)f(receiv)m(ed)i
-(the)e(in)m(terrupt;)i(previous)1110 5340 y(v)m(ersions)31
-b(con)m(tin)m(ue)g(with)f(the)h(next)g(command)f(in)g(the)g(list.)p
+5230 y(prior)31 b(to)h(bash-4.1)g(use)g(ASCI)s(I)e(collation)j(and)e
+(strcmp\(3\);)i(bash-4.1)g(and)1110 5340 y(later)e(use)f(the)h(curren)m
+(t)f(lo)s(cale's)i(collation)h(sequence)e(and)f(strcoll\(3\).)p
 eop end
 %%Page: 64 70
 TeXDict begin 64 69 bop 150 -116 a Ft(64)2572 b(Bash)31
-b(Reference)g(Man)m(ual)630 299 y Fs(compat41)96 b Ft(If)27
-b(set,)i(Bash,)g(when)e(in)g(p)s(osix)g(mo)s(de,)h(treats)h(a)f(single)
-g(quote)h(in)e(a)h(double-)1110 408 y(quoted)46 b(parameter)h
-(expansion)f(as)g(a)h(sp)s(ecial)f(c)m(haracter.)90 b(The)45
-b(single)1110 518 y(quotes)34 b(m)m(ust)g(matc)m(h)h(\(an)f(ev)m(en)h
-(n)m(um)m(b)s(er\))e(and)g(the)h(c)m(haracters)h(b)s(et)m(w)m(een)1110
-628 y(the)40 b(single)g(quotes)g(are)g(considered)g(quoted.)69
-b(This)38 b(is)i(the)g(b)s(eha)m(vior)g(of)1110 737 y
-Fl(posix)f Ft(mo)s(de)g(through)g(v)m(ersion)h(4.1.)69
+b(Reference)g(Man)m(ual)630 299 y Fs(compat32)96 b Ft(If)27
+b(set,)i(Bash)e(c)m(hanges)i(its)f(b)s(eha)m(vior)f(to)i(that)f(of)f(v)
+m(ersion)h(3.2)h(with)e(resp)s(ect)1110 408 y(to)h(lo)s(cale-sp)s
+(eci\014c)g(string)f(comparison)g(when)f(using)g(the)h(`)p
+Fs([[)p Ft(')g(conditional)1110 518 y(command's)j(`)p
+Fs(<)p Ft(')h(and)f(`)p Fs(>)p Ft(')g(op)s(erators)h(\(see)g(previous)f
+(item\).)630 669 y Fs(compat40)96 b Ft(If)27 b(set,)i(Bash)e(c)m
+(hanges)i(its)f(b)s(eha)m(vior)f(to)i(that)f(of)f(v)m(ersion)h(4.0)h
+(with)e(resp)s(ect)1110 778 y(to)h(lo)s(cale-sp)s(eci\014c)g(string)f
+(comparison)g(when)f(using)g(the)h(`)p Fs([[)p Ft(')g(conditional)1110
+888 y(command's)h(`)p Fs(<)p Ft(')h(and)f(`)p Fs(>)p
+Ft(')h(op)s(erators)f(\(see)i(description)e(of)h Fs(compat31)p
+Ft(\))e(and)1110 998 y(the)38 b(e\013ect)i(of)e(in)m(terrupting)f(a)i
+(command)e(list.)64 b(Bash)38 b(v)m(ersions)h(4.0)g(and)1110
+1107 y(later)24 b(in)m(terrupt)f(the)g(list)h(as)g(if)f(the)h(shell)f
+(receiv)m(ed)i(the)e(in)m(terrupt;)i(previous)1110 1217
+y(v)m(ersions)31 b(con)m(tin)m(ue)g(with)f(the)h(next)g(command)f(in)g
+(the)g(list.)630 1367 y Fs(compat41)96 b Ft(If)27 b(set,)i(Bash,)g
+(when)e(in)g(p)s(osix)g(mo)s(de,)h(treats)h(a)f(single)g(quote)h(in)e
+(a)h(double-)1110 1477 y(quoted)46 b(parameter)h(expansion)f(as)g(a)h
+(sp)s(ecial)f(c)m(haracter.)90 b(The)45 b(single)1110
+1587 y(quotes)34 b(m)m(ust)g(matc)m(h)h(\(an)f(ev)m(en)h(n)m(um)m(b)s
+(er\))e(and)g(the)h(c)m(haracters)h(b)s(et)m(w)m(een)1110
+1696 y(the)40 b(single)g(quotes)g(are)g(considered)g(quoted.)69
+b(This)38 b(is)i(the)g(b)s(eha)m(vior)g(of)1110 1806
+y Fl(posix)f Ft(mo)s(de)g(through)g(v)m(ersion)h(4.1.)69
 b(The)39 b(default)g(Bash)h(b)s(eha)m(vior)g(re-)1110
-847 y(mains)30 b(as)h(in)f(previous)g(v)m(ersions.)630
-995 y Fs(complete_fullquote)1110 1105 y Ft(If)h(set,)g(Bash)h(quotes)f
+1915 y(mains)30 b(as)h(in)f(previous)g(v)m(ersions.)630
+2066 y Fs(complete_fullquote)1110 2176 y Ft(If)h(set,)g(Bash)h(quotes)f
 (all)h(shell)f(metac)m(haracters)i(in)e(\014lenames)g(and)g(direc-)1110
-1214 y(tory)g(names)f(when)g(p)s(erforming)f(completion.)43
-b(If)30 b(not)h(set,)g(Bash)g(remo)m(v)m(es)1110 1324
+2285 y(tory)g(names)f(when)g(p)s(erforming)f(completion.)43
+b(If)30 b(not)h(set,)g(Bash)g(remo)m(v)m(es)1110 2395
 y(metac)m(haracters)40 b(suc)m(h)d(as)h(the)g(dollar)g(sign)g(from)f
-(the)h(set)g(of)f(c)m(haracters)1110 1433 y(that)f(will)g(b)s(e)f
+(the)h(set)g(of)f(c)m(haracters)1110 2504 y(that)f(will)g(b)s(e)f
 (quoted)g(in)g(completed)i(\014lenames)e(when)f(these)i(metac)m(har-)
-1110 1543 y(acters)29 b(app)s(ear)e(in)g(shell)h(v)-5
+1110 2614 y(acters)29 b(app)s(ear)e(in)g(shell)h(v)-5
 b(ariable)28 b(references)g(in)f(w)m(ords)g(to)i(b)s(e)e(completed.)
-1110 1653 y(This)k(means)i(that)g(dollar)f(signs)g(in)g(v)-5
+1110 2724 y(This)k(means)i(that)g(dollar)f(signs)g(in)g(v)-5
 b(ariable)33 b(names)g(that)f(expand)g(to)h(di-)1110
-1762 y(rectories)28 b(will)g(not)f(b)s(e)f(quoted;)j(ho)m(w)m(ev)m(er,)
-g(an)m(y)e(dollar)h(signs)f(app)s(earing)f(in)1110 1872
+2833 y(rectories)28 b(will)g(not)f(b)s(e)f(quoted;)j(ho)m(w)m(ev)m(er,)
+g(an)m(y)e(dollar)h(signs)f(app)s(earing)f(in)1110 2943
 y(\014lenames)j(will)h(not)f(b)s(e)g(quoted,)h(either.)41
 b(This)28 b(is)i(activ)m(e)h(only)e(when)g(bash)1110
-1981 y(is)39 b(using)f(bac)m(kslashes)i(to)g(quote)g(completed)f
-(\014lenames.)67 b(This)38 b(v)-5 b(ariable)1110 2091
+3052 y(is)39 b(using)f(bac)m(kslashes)i(to)g(quote)g(completed)f
+(\014lenames.)67 b(This)38 b(v)-5 b(ariable)1110 3162
 y(is)41 b(set)g(b)m(y)g(default,)j(whic)m(h)c(is)h(the)g(default)g
-(Bash)g(b)s(eha)m(vior)g(in)g(v)m(ersions)1110 2201 y(through)30
-b(4.2.)630 2349 y Fs(direxpand)1110 2458 y Ft(If)k(set,)i(Bash)f
+(Bash)g(b)s(eha)m(vior)g(in)g(v)m(ersions)1110 3271 y(through)30
+b(4.2.)630 3422 y Fs(direxpand)1110 3532 y Ft(If)k(set,)i(Bash)f
 (replaces)g(directory)g(names)g(with)f(the)g(results)h(of)f(w)m(ord)g
-(ex-)1110 2568 y(pansion)k(when)g(p)s(erforming)f(\014lename)i
-(completion.)67 b(This)38 b(c)m(hanges)i(the)1110 2678
+(ex-)1110 3641 y(pansion)k(when)g(p)s(erforming)f(\014lename)i
+(completion.)67 b(This)38 b(c)m(hanges)i(the)1110 3751
 y(con)m(ten)m(ts)29 b(of)e(the)g(readline)h(editing)g(bu\013er.)38
-b(If)27 b(not)g(set,)i(Bash)e(attempts)h(to)1110 2787
+b(If)27 b(not)g(set,)i(Bash)e(attempts)h(to)1110 3861
 y(preserv)m(e)j(what)f(the)g(user)g(t)m(yp)s(ed.)630
-2935 y Fs(dirspell)96 b Ft(If)26 b(set,)i(Bash)f(attempts)g(sp)s
+4011 y Fs(dirspell)96 b Ft(If)26 b(set,)i(Bash)f(attempts)g(sp)s
 (elling)g(correction)g(on)g(directory)g(names)f(during)1110
-3045 y(w)m(ord)36 b(completion)h(if)f(the)g(directory)g(name)g
-(initially)h(supplied)e(do)s(es)h(not)1110 3155 y(exist.)630
-3303 y Fs(dotglob)144 b Ft(If)27 b(set,)i(Bash)f(includes)g
+4121 y(w)m(ord)36 b(completion)h(if)f(the)g(directory)g(name)g
+(initially)h(supplied)e(do)s(es)h(not)1110 4230 y(exist.)630
+4381 y Fs(dotglob)144 b Ft(If)27 b(set,)i(Bash)f(includes)g
 (\014lenames)g(b)s(eginning)f(with)g(a)h(`.')41 b(in)27
-b(the)h(results)g(of)1110 3412 y(\014lename)j(expansion.)630
-3561 y Fs(execfail)96 b Ft(If)24 b(this)h(is)f(set,)j(a)e(non-in)m
+b(the)h(results)g(of)1110 4491 y(\014lename)j(expansion.)630
+4641 y Fs(execfail)96 b Ft(If)24 b(this)h(is)f(set,)j(a)e(non-in)m
 (teractiv)m(e)i(shell)e(will)f(not)h(exit)h(if)e(it)h(cannot)h(execute)
-1110 3670 y(the)i(\014le)g(sp)s(eci\014ed)g(as)g(an)g(argumen)m(t)g(to)
+1110 4751 y(the)i(\014le)g(sp)s(eci\014ed)g(as)g(an)g(argumen)m(t)g(to)
 h(the)f Fs(exec)f Ft(builtin)h(command.)39 b(An)1110
-3780 y(in)m(teractiv)m(e)33 b(shell)e(do)s(es)f(not)g(exit)i(if)e
-Fs(exec)f Ft(fails.)630 3928 y Fs(expand_aliases)1110
-4038 y Ft(If)j(set,)h(aliases)g(are)g(expanded)e(as)h(describ)s(ed)f(b)
-s(elo)m(w)h(under)f(Aliases,)i(Sec-)1110 4147 y(tion)38
+4861 y(in)m(teractiv)m(e)33 b(shell)e(do)s(es)f(not)g(exit)i(if)e
+Fs(exec)f Ft(fails.)630 5011 y Fs(expand_aliases)1110
+5121 y Ft(If)j(set,)h(aliases)g(are)g(expanded)e(as)h(describ)s(ed)f(b)
+s(elo)m(w)h(under)f(Aliases,)i(Sec-)1110 5230 y(tion)38
 b(6.6)h([Aliases],)j(page)d(87.)64 b(This)37 b(option)h(is)g(enabled)g
-(b)m(y)g(default)g(for)1110 4257 y(in)m(teractiv)m(e)33
-b(shells.)630 4405 y Fs(extdebug)96 b Ft(If)30 b(set,)h(b)s(eha)m(vior)
-g(in)m(tended)f(for)g(use)g(b)m(y)g(debuggers)g(is)h(enabled:)1159
-4534 y(1.)61 b(The)32 b(`)p Fs(-F)p Ft(')g(option)h(to)g(the)g
-Fs(declare)d Ft(builtin)i(\(see)i(Section)f(4.2)h([Bash)1290
-4644 y(Builtins],)29 b(page)g(48\))g(displa)m(ys)f(the)g(source)h
-(\014le)f(name)g(and)f(line)h(n)m(um-)1290 4753 y(b)s(er)h(corresp)s
-(onding)g(to)i(eac)m(h)g(function)f(name)g(supplied)f(as)i(an)f(argu-)
-1290 4863 y(men)m(t.)1159 4992 y(2.)61 b(If)20 b(the)h(command)g(run)e
-(b)m(y)i(the)f Fs(DEBUG)g Ft(trap)g(returns)g(a)h(non-zero)g(v)-5
-b(alue,)1290 5101 y(the)31 b(next)f(command)g(is)h(skipp)s(ed)e(and)g
-(not)i(executed.)1159 5230 y(3.)61 b(If)37 b(the)g(command)g(run)f(b)m
-(y)i(the)f Fs(DEBUG)f Ft(trap)h(returns)f(a)i(v)-5 b(alue)38
-b(of)f(2,)1290 5340 y(and)c(the)g(shell)h(is)f(executing)i(in)e(a)h
-(subroutine)e(\(a)i(shell)g(function)f(or)p eop end
+(b)m(y)g(default)g(for)1110 5340 y(in)m(teractiv)m(e)33
+b(shells.)p eop end
 %%Page: 65 71
 TeXDict begin 65 70 bop 150 -116 a Ft(Chapter)30 b(4:)41
-b(Shell)30 b(Builtin)h(Commands)2069 b(65)1290 299 y(a)34
-b(shell)h(script)f(executed)h(b)m(y)f(the)g Fs(.)g Ft(or)g
-Fs(source)e Ft(builtins\),)j(a)g(call)g(to)1290 408 y
-Fs(return)29 b Ft(is)h(sim)m(ulated.)1159 553 y(4.)61
-b Fs(BASH_ARGC)34 b Ft(and)i Fs(BASH_ARGV)e Ft(are)j(up)s(dated)e(as)h
-(describ)s(ed)g(in)g(their)1290 662 y(descriptions)30
-b(\(see)i(Section)f(5.2)g([Bash)g(V)-8 b(ariables],)32
-b(page)f(69\).)1159 806 y(5.)61 b(F)-8 b(unction)57 b(tracing)g(is)g
-(enabled:)93 b(command)56 b(substitution,)63 b(shell)1290
-916 y(functions,)30 b(and)f(subshells)g(in)m(v)m(ok)m(ed)j(with)d
-Fs(\()h Fi(command)39 b Fs(\))30 b Ft(inherit)g(the)1290
-1026 y Fs(DEBUG)f Ft(and)h Fs(RETURN)e Ft(traps.)1159
-1170 y(6.)61 b(Error)41 b(tracing)i(is)f(enabled:)63
-b(command)42 b(substitution,)i(shell)f(func-)1290 1279
-y(tions,)30 b(and)f(subshells)g(in)m(v)m(ok)m(ed)i(with)e
-Fs(\()h Fi(command)39 b Fs(\))29 b Ft(inherit)g(the)h
-Fs(ERR)1290 1389 y Ft(trap.)630 1568 y Fs(extglob)144
-b Ft(If)26 b(set,)i(the)f(extended)f(pattern)h(matc)m(hing)g(features)g
-(describ)s(ed)e(ab)s(o)m(v)m(e)j(\(see)1110 1677 y(Section)j(3.5.8.1)i
-([P)m(attern)f(Matc)m(hing],)g(page)f(29\))h(are)f(enabled.)630
-1856 y Fs(extquote)96 b Ft(If)49 b(set,)54 b Fs($')p
+b(Shell)30 b(Builtin)h(Commands)2069 b(65)630 299 y Fs(extdebug)96
+b Ft(If)30 b(set,)h(b)s(eha)m(vior)g(in)m(tended)f(for)g(use)g(b)m(y)g
+(debuggers)g(is)h(enabled:)1159 433 y(1.)61 b(The)32
+b(`)p Fs(-F)p Ft(')g(option)h(to)g(the)g Fs(declare)d
+Ft(builtin)i(\(see)i(Section)f(4.2)h([Bash)1290 542 y(Builtins],)29
+b(page)g(48\))g(displa)m(ys)f(the)g(source)h(\014le)f(name)g(and)f
+(line)h(n)m(um-)1290 652 y(b)s(er)h(corresp)s(onding)g(to)i(eac)m(h)g
+(function)f(name)g(supplied)f(as)i(an)f(argu-)1290 762
+y(men)m(t.)1159 896 y(2.)61 b(If)20 b(the)h(command)g(run)e(b)m(y)i
+(the)f Fs(DEBUG)g Ft(trap)g(returns)g(a)h(non-zero)g(v)-5
+b(alue,)1290 1005 y(the)31 b(next)f(command)g(is)h(skipp)s(ed)e(and)g
+(not)i(executed.)1159 1139 y(3.)61 b(If)37 b(the)g(command)g(run)f(b)m
+(y)i(the)f Fs(DEBUG)f Ft(trap)h(returns)f(a)i(v)-5 b(alue)38
+b(of)f(2,)1290 1249 y(and)c(the)g(shell)h(is)f(executing)i(in)e(a)h
+(subroutine)e(\(a)i(shell)g(function)f(or)1290 1358 y(a)h(shell)h
+(script)f(executed)h(b)m(y)f(the)g Fs(.)g Ft(or)g Fs(source)e
+Ft(builtins\),)j(a)g(call)g(to)1290 1468 y Fs(return)29
+b Ft(is)h(sim)m(ulated.)1159 1602 y(4.)61 b Fs(BASH_ARGC)34
+b Ft(and)i Fs(BASH_ARGV)e Ft(are)j(up)s(dated)e(as)h(describ)s(ed)g(in)
+g(their)1290 1711 y(descriptions)30 b(\(see)i(Section)f(5.2)g([Bash)g
+(V)-8 b(ariables],)32 b(page)f(69\).)1159 1845 y(5.)61
+b(F)-8 b(unction)57 b(tracing)g(is)g(enabled:)93 b(command)56
+b(substitution,)63 b(shell)1290 1955 y(functions,)30
+b(and)f(subshells)g(in)m(v)m(ok)m(ed)j(with)d Fs(\()h
+Fi(command)39 b Fs(\))30 b Ft(inherit)g(the)1290 2064
+y Fs(DEBUG)f Ft(and)h Fs(RETURN)e Ft(traps.)1159 2198
+y(6.)61 b(Error)41 b(tracing)i(is)f(enabled:)63 b(command)42
+b(substitution,)i(shell)f(func-)1290 2308 y(tions,)30
+b(and)f(subshells)g(in)m(v)m(ok)m(ed)i(with)e Fs(\()h
+Fi(command)39 b Fs(\))29 b Ft(inherit)g(the)h Fs(ERR)1290
+2418 y Ft(trap.)630 2576 y Fs(extglob)144 b Ft(If)26
+b(set,)i(the)f(extended)f(pattern)h(matc)m(hing)g(features)g(describ)s
+(ed)e(ab)s(o)m(v)m(e)j(\(see)1110 2685 y(Section)j(3.5.8.1)i([P)m
+(attern)f(Matc)m(hing],)g(page)f(29\))h(are)f(enabled.)630
+2844 y Fs(extquote)96 b Ft(If)49 b(set,)54 b Fs($')p
 Fi(string)11 b Fs(')46 b Ft(and)j Fs($")p Fi(string)11
 b Fs(")46 b Ft(quoting)k(is)f(p)s(erformed)e(within)1110
-1966 y Fs(${)p Fi(parameter)11 b Fs(})30 b Ft(expansions)j(enclosed)h
-(in)g(double)f(quotes.)51 b(This)32 b(option)1110 2075
-y(is)e(enabled)h(b)m(y)f(default.)630 2254 y Fs(failglob)96
+2953 y Fs(${)p Fi(parameter)11 b Fs(})30 b Ft(expansions)j(enclosed)h
+(in)g(double)f(quotes.)51 b(This)32 b(option)1110 3063
+y(is)e(enabled)h(b)m(y)f(default.)630 3221 y Fs(failglob)96
 b Ft(If)36 b(set,)j(patterns)d(whic)m(h)g(fail)h(to)h(matc)m(h)f
-(\014lenames)f(during)g(\014lename)g(ex-)1110 2364 y(pansion)30
-b(result)g(in)g(an)g(expansion)h(error.)630 2543 y Fs(force_fignore)
-1110 2652 y Ft(If)43 b(set,)k(the)d(su\016xes)f(sp)s(eci\014ed)f(b)m(y)
+(\014lenames)f(during)g(\014lename)g(ex-)1110 3331 y(pansion)30
+b(result)g(in)g(an)g(expansion)h(error.)630 3489 y Fs(force_fignore)
+1110 3599 y Ft(If)43 b(set,)k(the)d(su\016xes)f(sp)s(eci\014ed)f(b)m(y)
 i(the)f Fs(FIGNORE)f Ft(shell)h(v)-5 b(ariable)44 b(cause)1110
-2762 y(w)m(ords)31 b(to)h(b)s(e)f(ignored)h(when)f(p)s(erforming)f(w)m
-(ord)h(completion)i(ev)m(en)f(if)g(the)1110 2871 y(ignored)37
+3708 y(w)m(ords)31 b(to)h(b)s(e)f(ignored)h(when)f(p)s(erforming)f(w)m
+(ord)h(completion)i(ev)m(en)f(if)g(the)1110 3818 y(ignored)37
 b(w)m(ords)g(are)g(the)h(only)f(p)s(ossible)g(completions.)62
-b(See)37 b(Section)h(5.2)1110 2981 y([Bash)24 b(V)-8
+b(See)37 b(Section)h(5.2)1110 3927 y([Bash)24 b(V)-8
 b(ariables],)27 b(page)e(69,)h(for)d(a)h(description)g(of)g
-Fs(FIGNORE)p Ft(.)37 b(This)22 b(option)1110 3091 y(is)30
-b(enabled)h(b)m(y)f(default.)630 3269 y Fs(globasciiranges)1110
-3379 y Ft(If)87 b(set,)104 b(range)88 b(expressions)f(used)g(in)h
-(pattern)g(matc)m(hing)h(\(see)1110 3488 y(Section)43
+Fs(FIGNORE)p Ft(.)37 b(This)22 b(option)1110 4037 y(is)30
+b(enabled)h(b)m(y)f(default.)630 4195 y Fs(globasciiranges)1110
+4305 y Ft(If)87 b(set,)104 b(range)88 b(expressions)f(used)g(in)h
+(pattern)g(matc)m(hing)h(\(see)1110 4415 y(Section)43
 b(3.5.8.1)i([P)m(attern)f(Matc)m(hing],)j(page)c(29\))h(b)s(eha)m(v)m
-(e)f(as)f(if)h(in)f(the)1110 3598 y(traditional)h(C)e(lo)s(cale)i(when)
+(e)f(as)f(if)h(in)f(the)1110 4524 y(traditional)h(C)e(lo)s(cale)i(when)
 e(p)s(erforming)f(comparisons.)75 b(That)41 b(is,)k(the)1110
-3708 y(curren)m(t)31 b(lo)s(cale's)i(collating)g(sequence)e(is)g(not)h
+4634 y(curren)m(t)31 b(lo)s(cale's)i(collating)g(sequence)e(is)g(not)h
 (tak)m(en)g(in)m(to)g(accoun)m(t,)h(so)e(`)p Fs(b)p Ft(')1110
-3817 y(will)g(not)g(collate)i(b)s(et)m(w)m(een)e(`)p
+4743 y(will)g(not)g(collate)i(b)s(et)m(w)m(een)e(`)p
 Fs(A)p Ft(')g(and)f(`)p Fs(B)p Ft(',)h(and)f(upp)s(er-case)g(and)g(lo)m
-(w)m(er-case)1110 3927 y(ASCI)s(I)f(c)m(haracters)j(will)e(collate)j
-(together.)630 4106 y Fs(globstar)96 b Ft(If)38 b(set,)j(the)e(pattern)
+(w)m(er-case)1110 4853 y(ASCI)s(I)f(c)m(haracters)j(will)e(collate)j
+(together.)630 5011 y Fs(globstar)96 b Ft(If)38 b(set,)j(the)e(pattern)
 f(`)p Fs(**)p Ft(')h(used)e(in)i(a)f(\014lename)h(expansion)f(con)m
-(text)j(will)1110 4215 y(matc)m(h)36 b(all)g(\014les)f(and)f(zero)i(or)
+(text)j(will)1110 5121 y(matc)m(h)36 b(all)g(\014les)f(and)f(zero)i(or)
 f(more)g(directories)h(and)e(sub)s(directories.)54 b(If)1110
-4325 y(the)30 b(pattern)g(is)g(follo)m(w)m(ed)i(b)m(y)d(a)i(`)p
+5230 y(the)30 b(pattern)g(is)g(follo)m(w)m(ed)i(b)m(y)d(a)i(`)p
 Fs(/)p Ft(',)f(only)g(directories)h(and)f(sub)s(directories)1110
-4434 y(matc)m(h.)630 4613 y Fs(gnu_errfmt)1110 4723 y
-Ft(If)35 b(set,)j(shell)e(error)g(messages)g(are)h(written)e(in)h(the)g
-(standard)f Fl(gnu)g Ft(error)1110 4832 y(message)c(format.)630
-5011 y Fs(histappend)1110 5121 y Ft(If)c(set,)j(the)e(history)g(list)g
-(is)g(app)s(ended)e(to)j(the)f(\014le)g(named)f(b)m(y)h(the)g(v)-5
-b(alue)29 b(of)1110 5230 y(the)d Fs(HISTFILE)d Ft(v)-5
-b(ariable)26 b(when)e(the)h(shell)h(exits,)h(rather)e(than)h(o)m(v)m
-(erwriting)1110 5340 y(the)31 b(\014le.)p eop end
+5340 y(matc)m(h.)p eop end
 %%Page: 66 72
 TeXDict begin 66 71 bop 150 -116 a Ft(66)2572 b(Bash)31
-b(Reference)g(Man)m(ual)630 299 y Fs(histreedit)1110
-408 y Ft(If)i(set,)h(and)f(Readline)h(is)f(b)s(eing)g(used,)g(a)g(user)
-g(is)g(giv)m(en)h(the)g(opp)s(ortunit)m(y)1110 518 y(to)d(re-edit)g(a)g
-(failed)g(history)f(substitution.)630 667 y Fs(histverify)1110
-777 y Ft(If)35 b(set,)i(and)e(Readline)h(is)f(b)s(eing)g(used,)h(the)f
-(results)g(of)g(history)h(substitu-)1110 887 y(tion)h(are)g(not)g
-(immediately)h(passed)e(to)h(the)g(shell)g(parser.)59
-b(Instead,)38 b(the)1110 996 y(resulting)i(line)f(is)h(loaded)g(in)m
-(to)g(the)g(Readline)g(editing)g(bu\013er,)h(allo)m(wing)1110
-1106 y(further)29 b(mo)s(di\014cation.)630 1255 y Fs(hostcomplete)1110
-1365 y Ft(If)38 b(set,)j(and)c(Readline)i(is)f(b)s(eing)g(used,)h(Bash)
-g(will)f(attempt)h(to)g(p)s(erform)1110 1474 y(hostname)d(completion)h
-(when)e(a)h(w)m(ord)f(con)m(taining)i(a)f(`)p Fs(@)p
-Ft(')g(is)g(b)s(eing)f(com-)1110 1584 y(pleted)g(\(see)h(Section)f
-(8.4.6)i([Commands)d(F)-8 b(or)36 b(Completion],)g(page)g(120\).)1110
-1694 y(This)30 b(option)g(is)h(enabled)f(b)m(y)g(default.)630
-1843 y Fs(huponexit)1110 1953 y Ft(If)i(set,)i(Bash)f(will)h(send)d
+b(Reference)g(Man)m(ual)630 299 y Fs(gnu_errfmt)1110
+408 y Ft(If)k(set,)j(shell)e(error)g(messages)g(are)h(written)e(in)h
+(the)g(standard)f Fl(gnu)g Ft(error)1110 518 y(message)c(format.)630
+667 y Fs(histappend)1110 777 y Ft(If)c(set,)j(the)e(history)g(list)g
+(is)g(app)s(ended)e(to)j(the)f(\014le)g(named)f(b)m(y)h(the)g(v)-5
+b(alue)29 b(of)1110 887 y(the)d Fs(HISTFILE)d Ft(v)-5
+b(ariable)26 b(when)e(the)h(shell)h(exits,)h(rather)e(than)h(o)m(v)m
+(erwriting)1110 996 y(the)31 b(\014le.)630 1146 y Fs(histreedit)1110
+1255 y Ft(If)i(set,)h(and)f(Readline)h(is)f(b)s(eing)g(used,)g(a)g
+(user)g(is)g(giv)m(en)h(the)g(opp)s(ortunit)m(y)1110
+1365 y(to)d(re-edit)g(a)g(failed)g(history)f(substitution.)630
+1514 y Fs(histverify)1110 1624 y Ft(If)35 b(set,)i(and)e(Readline)h(is)
+f(b)s(eing)g(used,)h(the)f(results)g(of)g(history)h(substitu-)1110
+1733 y(tion)h(are)g(not)g(immediately)h(passed)e(to)h(the)g(shell)g
+(parser.)59 b(Instead,)38 b(the)1110 1843 y(resulting)i(line)f(is)h
+(loaded)g(in)m(to)g(the)g(Readline)g(editing)g(bu\013er,)h(allo)m(wing)
+1110 1953 y(further)29 b(mo)s(di\014cation.)630 2102
+y Fs(hostcomplete)1110 2212 y Ft(If)38 b(set,)j(and)c(Readline)i(is)f
+(b)s(eing)g(used,)h(Bash)g(will)f(attempt)h(to)g(p)s(erform)1110
+2321 y(hostname)d(completion)h(when)e(a)h(w)m(ord)f(con)m(taining)i(a)f
+(`)p Fs(@)p Ft(')g(is)g(b)s(eing)f(com-)1110 2431 y(pleted)g(\(see)h
+(Section)f(8.4.6)i([Commands)d(F)-8 b(or)36 b(Completion],)g(page)g
+(120\).)1110 2540 y(This)30 b(option)g(is)h(enabled)f(b)m(y)g(default.)
+630 2690 y Fs(huponexit)1110 2800 y Ft(If)i(set,)i(Bash)f(will)h(send)d
 Fs(SIGHUP)h Ft(to)h(all)h(jobs)e(when)g(an)g(in)m(teractiv)m(e)k(login)
-1110 2062 y(shell)31 b(exits)g(\(see)g(Section)g(3.7.6)h([Signals],)g
-(page)f(38\).)630 2212 y Fs(interactive_comments)1110
-2321 y Ft(Allo)m(w)c(a)g(w)m(ord)e(b)s(eginning)g(with)h(`)p
+1110 2909 y(shell)31 b(exits)g(\(see)g(Section)g(3.7.6)h([Signals],)g
+(page)f(38\).)630 3059 y Fs(interactive_comments)1110
+3168 y Ft(Allo)m(w)c(a)g(w)m(ord)e(b)s(eginning)g(with)h(`)p
 Fs(#)p Ft(')g(to)h(cause)f(that)h(w)m(ord)f(and)f(all)i(remain-)1110
-2431 y(ing)41 b(c)m(haracters)i(on)e(that)h(line)g(to)g(b)s(e)f
+3278 y(ing)41 b(c)m(haracters)i(on)e(that)h(line)g(to)g(b)s(e)f
 (ignored)g(in)g(an)g(in)m(teractiv)m(e)j(shell.)1110
-2540 y(This)30 b(option)g(is)h(enabled)f(b)m(y)g(default.)630
-2690 y Fs(lastpipe)96 b Ft(If)24 b(set,)i(and)e(job)g(con)m(trol)i(is)f
+3387 y(This)30 b(option)g(is)h(enabled)f(b)m(y)g(default.)630
+3537 y Fs(lastpipe)96 b Ft(If)24 b(set,)i(and)e(job)g(con)m(trol)i(is)f
 (not)f(activ)m(e,)k(the)d(shell)f(runs)f(the)i(last)g(command)1110
-2800 y(of)37 b(a)h(pip)s(eline)e(not)h(executed)h(in)f(the)g(bac)m
-(kground)g(in)g(the)g(curren)m(t)g(shell)1110 2909 y(en)m(vironmen)m
-(t.)630 3059 y Fs(lithist)144 b Ft(If)22 b(enabled,)i(and)d(the)h
+3646 y(of)37 b(a)h(pip)s(eline)e(not)h(executed)h(in)f(the)g(bac)m
+(kground)g(in)g(the)g(curren)m(t)g(shell)1110 3756 y(en)m(vironmen)m
+(t.)630 3905 y Fs(lithist)144 b Ft(If)22 b(enabled,)i(and)d(the)h
 Fs(cmdhist)e Ft(option)j(is)f(enabled,)i(m)m(ulti-line)f(commands)1110
-3168 y(are)28 b(sa)m(v)m(ed)h(to)g(the)f(history)g(with)f(em)m(b)s
-(edded)g(newlines)h(rather)g(than)f(using)1110 3278 y(semicolon)32
-b(separators)f(where)e(p)s(ossible.)630 3427 y Fs(login_shell)1110
-3537 y Ft(The)35 b(shell)h(sets)g(this)f(option)h(if)g(it)g(is)f
+4015 y(are)28 b(sa)m(v)m(ed)h(to)g(the)f(history)g(with)f(em)m(b)s
+(edded)g(newlines)h(rather)g(than)f(using)1110 4125 y(semicolon)32
+b(separators)f(where)e(p)s(ossible.)630 4274 y Fs(login_shell)1110
+4384 y Ft(The)35 b(shell)h(sets)g(this)f(option)h(if)g(it)g(is)f
 (started)h(as)g(a)g(login)g(shell)g(\(see)g(Sec-)1110
-3646 y(tion)29 b(6.1)g([In)m(v)m(oking)h(Bash],)f(page)g(79\).)41
+4493 y(tion)29 b(6.1)g([In)m(v)m(oking)h(Bash],)f(page)g(79\).)41
 b(The)28 b(v)-5 b(alue)29 b(ma)m(y)g(not)f(b)s(e)g(c)m(hanged.)630
-3796 y Fs(mailwarn)96 b Ft(If)34 b(set,)i(and)e(a)h(\014le)g(that)g
+4643 y Fs(mailwarn)96 b Ft(If)34 b(set,)i(and)e(a)h(\014le)g(that)g
 (Bash)f(is)h(c)m(hec)m(king)h(for)f(mail)g(has)f(b)s(een)g(accessed)
-1110 3905 y(since)24 b(the)h(last)g(time)f(it)h(w)m(as)f(c)m(hec)m(k)m
+1110 4752 y(since)24 b(the)h(last)g(time)f(it)h(w)m(as)f(c)m(hec)m(k)m
 (ed,)k(the)c(message)h Fs("The)k(mail)h(in)f Fi(mail-)1110
-4015 y(file)40 b Fs(has)29 b(been)g(read")g Ft(is)i(displa)m(y)m(ed.)
-630 4164 y Fs(no_empty_cmd_completion)1110 4274 y Ft(If)f(set,)g(and)g
+4862 y(file)40 b Fs(has)29 b(been)g(read")g Ft(is)i(displa)m(y)m(ed.)
+630 5011 y Fs(no_empty_cmd_completion)1110 5121 y Ft(If)f(set,)g(and)g
 (Readline)g(is)h(b)s(eing)e(used,)h(Bash)g(will)g(not)g(attempt)i(to)e
-(searc)m(h)1110 4384 y(the)25 b Fs(PATH)f Ft(for)h(p)s(ossible)f
+(searc)m(h)1110 5230 y(the)25 b Fs(PATH)f Ft(for)h(p)s(ossible)f
 (completions)j(when)d(completion)i(is)f(attempted)h(on)1110
-4493 y(an)k(empt)m(y)h(line.)630 4643 y Fs(nocaseglob)1110
-4752 y Ft(If)38 b(set,)k(Bash)d(matc)m(hes)g(\014lenames)g(in)f(a)h
-(case-insensitiv)m(e)j(fashion)c(when)1110 4862 y(p)s(erforming)29
-b(\014lename)i(expansion.)630 5011 y Fs(nocasematch)1110
-5121 y Ft(If)42 b(set,)k(Bash)d(matc)m(hes)g(patterns)g(in)f(a)h
-(case-insensitiv)m(e)i(fashion)d(when)1110 5230 y(p)s(erforming)31
-b(matc)m(hing)i(while)f(executing)i Fs(case)d Ft(or)h
-Fs([[)g Ft(conditional)h(com-)1110 5340 y(mands.)p eop
-end
+5340 y(an)k(empt)m(y)h(line.)p eop end
 %%Page: 67 73
 TeXDict begin 67 72 bop 150 -116 a Ft(Chapter)30 b(4:)41
-b(Shell)30 b(Builtin)h(Commands)2069 b(67)630 299 y Fs(nullglob)96
-b Ft(If)23 b(set,)j(Bash)e(allo)m(ws)g(\014lename)g(patterns)g(whic)m
-(h)f(matc)m(h)h(no)g(\014les)f(to)i(expand)1110 408 y(to)31
-b(a)g(n)m(ull)f(string,)h(rather)f(than)g(themselv)m(es.)630
-553 y Fs(progcomp)96 b Ft(If)25 b(set,)i(the)f(programmable)g
-(completion)g(facilities)i(\(see)f(Section)f(8.6)h([Pro-)1110
-663 y(grammable)45 b(Completion],)k(page)c(124\))h(are)f(enabled.)82
-b(This)44 b(option)h(is)1110 772 y(enabled)30 b(b)m(y)h(default.)630
-917 y Fs(promptvars)1110 1027 y Ft(If)50 b(set,)56 b(prompt)49
-b(strings)h(undergo)g(parameter)h(expansion,)k(command)1110
-1136 y(substitution,)35 b(arithmetic)g(expansion,)g(and)e(quote)i(remo)
-m(v)-5 b(al)35 b(after)f(b)s(eing)1110 1246 y(expanded)53
-b(as)h(describ)s(ed)e(b)s(elo)m(w)i(\(see)h(Section)f(6.9)h([Con)m
-(trolling)g(the)1110 1356 y(Prompt],)30 b(page)h(91\).)42
-b(This)30 b(option)h(is)f(enabled)h(b)m(y)f(default.)630
-1500 y Fs(restricted_shell)1110 1610 y Ft(The)40 b(shell)h(sets)g(this)
-g(option)g(if)g(it)h(is)e(started)i(in)e(restricted)i(mo)s(de)e(\(see)
-1110 1720 y(Section)c(6.10)g([The)f(Restricted)g(Shell],)i(page)e
-(92\).)56 b(The)34 b(v)-5 b(alue)35 b(ma)m(y)h(not)1110
-1829 y(b)s(e)c(c)m(hanged.)49 b(This)32 b(is)h(not)h(reset)f(when)f
-(the)h(startup)g(\014les)f(are)i(executed,)1110 1939
-y(allo)m(wing)k(the)e(startup)f(\014les)h(to)g(disco)m(v)m(er)h
-(whether)f(or)f(not)i(a)f(shell)g(is)g(re-)1110 2048
-y(stricted.)630 2193 y Fs(shift_verbose)1110 2303 y Ft(If)g(this)g(is)g
-(set,)j(the)d Fs(shift)f Ft(builtin)h(prin)m(ts)f(an)h(error)g(message)
-i(when)d(the)1110 2412 y(shift)30 b(coun)m(t)h(exceeds)g(the)g(n)m(um)m
-(b)s(er)e(of)h(p)s(ositional)i(parameters.)630 2557 y
-Fs(sourcepath)1110 2667 y Ft(If)22 b(set,)j(the)e Fs(source)e
-Ft(builtin)h(uses)g(the)h(v)-5 b(alue)23 b(of)g Fs(PATH)e
-Ft(to)j(\014nd)d(the)h(directory)1110 2776 y(con)m(taining)29
-b(the)e(\014le)h(supplied)e(as)h(an)g(argumen)m(t.)40
-b(This)27 b(option)h(is)f(enabled)1110 2886 y(b)m(y)j(default.)630
-3031 y Fs(xpg_echo)96 b Ft(If)31 b(set,)h(the)g Fs(echo)e
+b(Shell)30 b(Builtin)h(Commands)2069 b(67)630 299 y Fs(nocaseglob)1110
+408 y Ft(If)38 b(set,)k(Bash)d(matc)m(hes)g(\014lenames)g(in)f(a)h
+(case-insensitiv)m(e)j(fashion)c(when)1110 518 y(p)s(erforming)29
+b(\014lename)i(expansion.)630 676 y Fs(nocasematch)1110
+786 y Ft(If)42 b(set,)k(Bash)d(matc)m(hes)g(patterns)g(in)f(a)h
+(case-insensitiv)m(e)i(fashion)d(when)1110 895 y(p)s(erforming)31
+b(matc)m(hing)i(while)f(executing)i Fs(case)d Ft(or)h
+Fs([[)g Ft(conditional)h(com-)1110 1005 y(mands.)630
+1163 y Fs(nullglob)96 b Ft(If)23 b(set,)j(Bash)e(allo)m(ws)g
+(\014lename)g(patterns)g(whic)m(h)f(matc)m(h)h(no)g(\014les)f(to)i
+(expand)1110 1273 y(to)31 b(a)g(n)m(ull)f(string,)h(rather)f(than)g
+(themselv)m(es.)630 1431 y Fs(progcomp)96 b Ft(If)25
+b(set,)i(the)f(programmable)g(completion)g(facilities)i(\(see)f
+(Section)f(8.6)h([Pro-)1110 1541 y(grammable)45 b(Completion],)k(page)c
+(124\))h(are)f(enabled.)82 b(This)44 b(option)h(is)1110
+1650 y(enabled)30 b(b)m(y)h(default.)630 1808 y Fs(promptvars)1110
+1918 y Ft(If)50 b(set,)56 b(prompt)49 b(strings)h(undergo)g(parameter)h
+(expansion,)k(command)1110 2028 y(substitution,)35 b(arithmetic)g
+(expansion,)g(and)e(quote)i(remo)m(v)-5 b(al)35 b(after)f(b)s(eing)1110
+2137 y(expanded)53 b(as)h(describ)s(ed)e(b)s(elo)m(w)i(\(see)h(Section)
+f(6.9)h([Con)m(trolling)g(the)1110 2247 y(Prompt],)30
+b(page)h(91\).)42 b(This)30 b(option)h(is)f(enabled)h(b)m(y)f(default.)
+630 2405 y Fs(restricted_shell)1110 2515 y Ft(The)40
+b(shell)h(sets)g(this)g(option)g(if)g(it)h(is)e(started)i(in)e
+(restricted)i(mo)s(de)e(\(see)1110 2624 y(Section)c(6.10)g([The)f
+(Restricted)g(Shell],)i(page)e(92\).)56 b(The)34 b(v)-5
+b(alue)35 b(ma)m(y)h(not)1110 2734 y(b)s(e)c(c)m(hanged.)49
+b(This)32 b(is)h(not)h(reset)f(when)f(the)h(startup)g(\014les)f(are)i
+(executed,)1110 2843 y(allo)m(wing)k(the)e(startup)f(\014les)h(to)g
+(disco)m(v)m(er)h(whether)f(or)f(not)i(a)f(shell)g(is)g(re-)1110
+2953 y(stricted.)630 3111 y Fs(shift_verbose)1110 3221
+y Ft(If)g(this)g(is)g(set,)j(the)d Fs(shift)f Ft(builtin)h(prin)m(ts)f
+(an)h(error)g(message)i(when)d(the)1110 3330 y(shift)30
+b(coun)m(t)h(exceeds)g(the)g(n)m(um)m(b)s(er)e(of)h(p)s(ositional)i
+(parameters.)630 3488 y Fs(sourcepath)1110 3598 y Ft(If)22
+b(set,)j(the)e Fs(source)e Ft(builtin)h(uses)g(the)h(v)-5
+b(alue)23 b(of)g Fs(PATH)e Ft(to)j(\014nd)d(the)h(directory)1110
+3708 y(con)m(taining)29 b(the)e(\014le)h(supplied)e(as)h(an)g(argumen)m
+(t.)40 b(This)27 b(option)h(is)f(enabled)1110 3817 y(b)m(y)j(default.)
+630 3975 y Fs(xpg_echo)96 b Ft(If)31 b(set,)h(the)g Fs(echo)e
 Ft(builtin)h(expands)f(bac)m(kslash-escap)s(e)j(sequences)f(b)m(y)f
-(de-)1110 3140 y(fault.)630 3285 y(The)c(return)f(status)i(when)f
+(de-)1110 4085 y(fault.)630 4243 y(The)c(return)f(status)i(when)f
 (listing)h(options)g(is)f(zero)i(if)e(all)i Fq(optnames)i
-Ft(are)d(enabled,)g(non-)630 3395 y(zero)40 b(otherwise.)66
+Ft(are)d(enabled,)g(non-)630 4353 y(zero)40 b(otherwise.)66
 b(When)39 b(setting)h(or)f(unsetting)g(options,)i(the)e(return)f
-(status)h(is)g(zero)630 3504 y(unless)30 b(an)g Fq(optname)36
+(status)h(is)g(zero)630 4462 y(unless)30 b(an)g Fq(optname)36
 b Ft(is)30 b(not)h(a)g(v)-5 b(alid)30 b(shell)h(option.)150
-3722 y Fr(4.4)68 b(Sp)t(ecial)45 b(Builtins)150 3881
+4694 y Fr(4.4)68 b(Sp)t(ecial)45 b(Builtins)150 4853
 y Ft(F)-8 b(or)35 b(historical)h(reasons,)g(the)e Fl(posix)g
 Ft(standard)f(has)i(classi\014ed)f(sev)m(eral)i(builtin)e(commands)g
-(as)h Fk(sp)-5 b(e-)150 3991 y(cial)p Ft(.)47 b(When)33
+(as)h Fk(sp)-5 b(e-)150 4963 y(cial)p Ft(.)47 b(When)33
 b(Bash)f(is)h(executing)g(in)f Fl(posix)g Ft(mo)s(de,)h(the)g(sp)s
 (ecial)g(builtins)e(di\013er)i(from)f(other)g(builtin)150
-4101 y(commands)e(in)g(three)h(resp)s(ects:)199 4228
+5072 y(commands)e(in)g(three)h(resp)s(ects:)199 5206
 y(1.)61 b(Sp)s(ecial)31 b(builtins)e(are)i(found)e(b)s(efore)h(shell)h
-(functions)f(during)f(command)h(lo)s(okup.)199 4355 y(2.)61
+(functions)f(during)f(command)h(lo)s(okup.)199 5340 y(2.)61
 b(If)30 b(a)h(sp)s(ecial)g(builtin)f(returns)f(an)h(error)g(status,)h
-(a)g(non-in)m(teractiv)m(e)i(shell)d(exits.)199 4482
-y(3.)61 b(Assignmen)m(t)30 b(statemen)m(ts)h(preceding)f(the)f(command)
-g(sta)m(y)i(in)e(e\013ect)i(in)e(the)h(shell)f(en)m(vironmen)m(t)330
-4592 y(after)i(the)f(command)h(completes.)275 4737 y(When)36
-b(Bash)g(is)h(not)f(executing)i(in)e Fl(posix)f Ft(mo)s(de,)j(these)f
-(builtins)f(b)s(eha)m(v)m(e)h(no)f(di\013eren)m(tly)h(than)150
-4846 y(the)31 b(rest)f(of)h(the)f(Bash)h(builtin)e(commands.)41
-b(The)30 b(Bash)g Fl(posix)g Ft(mo)s(de)g(is)g(describ)s(ed)f(in)h
-(Section)h(6.11)150 4956 y([Bash)g(POSIX)e(Mo)s(de],)i(page)g(92.)275
-5083 y(These)f(are)g(the)h Fl(posix)f Ft(sp)s(ecial)h(builtins:)390
-5210 y Fs(break)46 b(:)i(.)f(continue)f(eval)g(exec)h(exit)g(export)f
-(readonly)f(return)h(set)390 5320 y(shift)g(trap)h(unset)p
-eop end
+(a)g(non-in)m(teractiv)m(e)i(shell)d(exits.)p eop end
 %%Page: 68 74
-TeXDict begin 68 73 bop eop end
+TeXDict begin 68 73 bop 150 -116 a Ft(68)2572 b(Bash)31
+b(Reference)g(Man)m(ual)199 299 y(3.)61 b(Assignmen)m(t)30
+b(statemen)m(ts)h(preceding)f(the)f(command)g(sta)m(y)i(in)e(e\013ect)i
+(in)e(the)h(shell)f(en)m(vironmen)m(t)330 408 y(after)i(the)f(command)h
+(completes.)275 568 y(When)36 b(Bash)g(is)h(not)f(executing)i(in)e
+Fl(posix)f Ft(mo)s(de,)j(these)f(builtins)f(b)s(eha)m(v)m(e)h(no)f
+(di\013eren)m(tly)h(than)150 677 y(the)31 b(rest)f(of)h(the)f(Bash)h
+(builtin)e(commands.)41 b(The)30 b(Bash)g Fl(posix)g
+Ft(mo)s(de)g(is)g(describ)s(ed)f(in)h(Section)h(6.11)150
+787 y([Bash)g(POSIX)e(Mo)s(de],)i(page)g(92.)275 922
+y(These)f(are)g(the)h Fl(posix)f Ft(sp)s(ecial)h(builtins:)390
+1056 y Fs(break)46 b(:)i(.)f(continue)f(eval)g(exec)h(exit)g(export)f
+(readonly)f(return)h(set)390 1166 y(shift)g(trap)h(unset)p
+eop end
 %%Page: 69 75
 TeXDict begin 69 74 bop 150 -116 a Ft(Chapter)30 b(5:)41
 b(Shell)30 b(V)-8 b(ariables)2459 b(69)150 299 y Fo(5)80
